
<?php
 include_once __DOCROOT__ . __SUBDIRECTORY__ . '/classes/controller/PatientNursingBilling.class.php';
$objGet = System::genObject('get');

list($minDate,$maxDate) = @explode(' - ',$objGet->range);
list($minDay,$minMonth,$minYear) = @explode('.',$minDate);
list($maxDay,$maxMonth,$maxYear) = @explode('.',$maxDate);



$objMinDate = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMaxDate = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');

// if($objGet->nursing_category) {
   // $SQLWhereContractService .= " AND activity_nursing.nursing_category = '".$objGet->nursing_category."' ";
// }

// if($objGet->contract_service){
   // $SQLWhereContractService .= " AND activity_nursing.contract_service_id = '".$objGet->contract_service."' ";
// }

$objDb = QApplication::$Database[1];
        $strSQL = "
        SELECT 
                hmis_patient_nursing_adm_billing.patient_nursing_id,
		hmis_patient_nursing_adm_billing.patient_code,
		hmis_patient_nursing_adm_billing.patient_name,
                hmis_patient_nursing_adm_billing.patient_department_name,
                hmis_patient_nursing_adm_billing.product_id,
                hmis_patient_nursing_adm_billing.product_name,
                hmis_patient_nursing_adm_billing.product_code,
                substring(hmis_patient_nursing_adm_billing.billing_group,1,3) AS billing_group ,
		hmis_patient_nursing_adm_billing.activity_department_name,
		hmis_patient_nursing_adm_billing.profile,
		convert_to_json(hmis_patient_nursing_adm_billing.profile)->>'Tanggal' AS tanggal,
		hmis_patient_nursing_adm_billing.personal_payment,
		hmis_patient_nursing_adm_billing.contract_service_name,
		hmis_patient_nursing_adm_billing.current_billing,
				hmis_patient_nursing_adm_billing.activity_department_name,
		hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.create_time,
                hmis_patient_nursing_payment_kediri.activity_on_partition,
                hmis_patient_nursing_payment_kediri.is_paid,
		hmis_patient_nursing_adm_billing.mediator_name,
		hmis_patient_nursing_adm_billing.personal_payment,
		
		
 activity_nursing_adm_billing.patient_nursing_id,
		activity_nursing_adm_billing.patient_code,
		activity_nursing_adm_billing.patient_name,
                activity_nursing_adm_billing.patient_department_name,
                activity_nursing_adm_billing.product_id,
                activity_nursing_adm_billing.product_name,
                activity_nursing_adm_billing.product_code,
                substring(activity_nursing_adm_billing.billing_group,1,3) AS billing_group ,
		activity_nursing_adm_billing.activity_department_name,
		activity_nursing_adm_billing.profile,
		convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' AS tanggal,
		activity_nursing_adm_billing.personal_payment,
		activity_nursing_adm_billing.contract_service_name,
		activity_nursing_adm_billing.current_billing,
		hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.create_time,
                hmis_patient_nursing_payment_kediri.activity_on_partition,
                hmis_patient_nursing_payment_kediri.is_paid,
                hmis_patient_nursing_payment_kediri.payment_category,
                hmis_patient_nursing_payment_kediri.nursing_category,
		activity_nursing_adm_billing.mediator_name,
		activity_nursing.doctor_name,
		activity_nursing_adm_billing.personal_payment		
		
		
    
        FROM
            hmis_patient_nursing_adm_billing LEFT JOIN hmis_patient_nursing_payment_kediri ON 
	    hmis_patient_nursing_payment_kediri.payment_cashier = hmis_patient_nursing_adm_billing.personal_payment_activity_id




	WHERE
	    hmis_patient_nursing_adm_billing.state = 'A'
	    -- AND ( COALESCE ( convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' , activity_nursing_adm_billing.create_time::TEXT)::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
            AND ( hmis_patient_nursing_payment_kediri.create_time::TEXT::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
	    AND hmis_patient_nursing_payment_kediri.is_paid='1' 	    AND hmis_patient_nursing_payment_kediri.payment_category='tunai' 
and hmis_patient_nursing_payment_kediri.nursing_category='1'
            -- $SQLWhereContractService
        ORDER BY hmis_patient_nursing_payment_kediri.create_time ASC
        ";

        $strSQL = "
	SELECT
	hmis_patient_nursing_adm_billing.patient_code,
	hmis_patient_nursing_adm_billing.contract_service_name,
	hmis_patient_nursing_adm_billing.patient_department_name,
		hmis_patient_nursing_adm_billing.activity_department_name,
	hmis_patient_nursing.department_name,
	hmis_patient_nursing.full_name AS patient_name,
	hmis_patient_nursing.doctor_name,
	hmis_patient_nursing.nursing_start_date,
	hmis_patient_nursing.nursing_end_date,
	hmis_patient_nursing_payment_kediri.create_user,
	hmis_patient_nursing_payment_kediri.create_time,
	hmis_patient_nursing_payment_kediri.activity_on_partition,
	hmis_patient_nursing_payment_kediri.is_paid,                hmis_patient_nursing_payment_kediri.nursing_category,
		hmis_patient_nursing_payment_kediri.retur,

	SUM(CASE WHEN hmis_ref_product.id IS NOT NULL THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS total,
	SUM(CASE WHEN hmis_ref_product.billing_group='9' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS admin,
	
	SUM(CASE WHEN hmis_ref_product.billing_group='1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi1,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi2,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi3,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi4,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.0' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi5,
	SUM(CASE WHEN hmis_ref_product.billing_group='2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj4,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasirj,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasiigd,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasiri,
	SUM(CASE WHEN hmis_ref_product.billing_group='3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat1,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat2,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat3,
	SUM(CASE WHEN hmis_ref_product.billing_group='4' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS paketbayi,
	SUM(CASE WHEN hmis_ref_product.billing_group='4.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab1,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab2,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab3,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab4,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad1,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad2,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad3,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad4,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS pa,
        SUM(CASE WHEN hmis_ref_product.billing_group='5' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS paketgizi,
        SUM(CASE WHEN hmis_ref_product.billing_group='6' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS sewaalat,
        SUM(CASE WHEN hmis_ref_product.billing_group='7' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS sewakamar,
	SUM(CASE WHEN hmis_ref_product.billing_group='8' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS visite,
	SUM(CASE WHEN hmis_ref_product.billing_group='8.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS visum,
	SUM(CASE WHEN hmis_ref_product.billing_group='8.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS ambulance,



	SUM(CASE WHEN hmis_ref_product.billing_group='134' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS oksigen,
	SUM(CASE WHEN hmis_ref_product.billing_group='135' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS ash_prwt,
		SUM(CASE WHEN hmis_ref_product.billing_group ='132' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab,
	SUM(CASE WHEN hmis_ref_product.billing_group='136' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS minibar

--SUM(CASE WHEN (CASE WHEN hmis_patient_nursing_adm_billing.activity_department_name ISNULL
			   --OR UPPER(hmis_patient_nursing_adm_billing.activity_department_name) LIKE '%KASIR%'
--THEN UPPER(hmis_patient_nursing.department_name)
--ELSE UPPER(hmis_patient_nursing_adm_billing.activity_department_name)
--END) LIKE '%LAB%' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab,

	--SUM(CASE WHEN (CASE WHEN hmis_patient_nursing_adm_billing.activity_department_name ISNULL
	--			   OR UPPER(hmis_patient_nursing_adm_billing.activity_department_name) LIKE '%KASIR%'
--	THEN UPPER(hmis_patient_nursing.department_name)
--	ELSE UPPER(hmis_patient_nursing_adm_billing.billing_group)
--	END) ='1'   THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi
	
	
	FROM
	hmis_patient_nursing_adm_billing 
	LEFT JOIN hmis_patient_nursing_payment_kediri ON
	hmis_patient_nursing_payment_kediri.payment_cashier = hmis_patient_nursing_adm_billing.personal_payment_activity_id
	OR hmis_patient_nursing_payment_kediri.payment_non_cash = hmis_patient_nursing_adm_billing.personal_payment_activity_id
	LEFT JOIN hmis_ref_product ON
	hmis_patient_nursing_adm_billing.product_id = hmis_ref_product.id
	LEFT JOIN system_department ON
	hmis_ref_product.request_service_to_department_id = system_department.id 
	LEFT JOIN activity ON
	hmis_patient_nursing_adm_billing.activity_id = activity.id
	LEFT JOIN hmis_ref_patient ON
	hmis_patient_nursing_adm_billing.patient_id = hmis_ref_patient.id
	LEFT JOIN hmis_patient_nursing ON
	hmis_patient_nursing_adm_billing.patient_nursing_id = hmis_patient_nursing.id
	

	WHERE
	    hmis_patient_nursing_adm_billing.state = 'A'
	    -- AND ( COALESCE ( convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' , activity_nursing_adm_billing.create_time::TEXT)::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
            AND ( hmis_patient_nursing_payment_kediri.create_time::TEXT::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
	    	    AND (hmis_patient_nursing_payment_kediri.is_paid='1') 
	    	    AND hmis_patient_nursing_payment_kediri.payment_category='tunai' 
and hmis_patient_nursing_payment_kediri.nursing_category='1'
            -- $SQLWhereContractService

	group by
	hmis_patient_nursing_adm_billing.patient_code,
		hmis_patient_nursing_adm_billing.activity_department_name,
	hmis_patient_nursing_adm_billing.contract_service_name,
	hmis_patient_nursing_adm_billing.patient_department_name,
	hmis_patient_nursing.department_name,                hmis_patient_nursing_payment_kediri.nursing_category,
	hmis_ref_patient.full_name,
	hmis_patient_nursing.full_name,
	hmis_patient_nursing.doctor_name,
	hmis_patient_nursing.nursing_start_date,
	hmis_patient_nursing.nursing_end_date,
	hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.retur,
	hmis_patient_nursing_payment_kediri.create_time,
	hmis_patient_nursing_payment_kediri.activity_on_partition,
	hmis_patient_nursing_payment_kediri.is_paid ,  hmis_patient_nursing_payment_kediri.payment_category 
	ORDER BY hmis_patient_nursing_adm_billing.patient_department_name ASC
        ";

$test = str_replace("\n", '<BR />', $strSQL);
//echo $test;
//exit;        
$objDbResult = $objDb->Query($strSQL);


if($objGet->excel == 'excel'){
  header("Content-type: application/vnd-ms-excel");
  header("Content-Disposition: attachment; filename=laporan penerimaan kasir.xls");
}
$objUser = SystemUser::LoadById($objHmisPatientNursingAdmBilling->CreateUser);
$objProduct = HmisRefProduct::LoadById($objHmisPatientNursingAdmBilling->ProductName);             

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>PENERIMAAN KASIR </title>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
<style>

.table {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
  font-size: 11px;
}

.table td, .table th {
  border: 1px solid #ddd;
  padding: 8px;
}

.table tr:nth-child(even){background-color: brown;}

.table tr:hover {background-color: lime;}

.table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: brown;
  color: yellow;
}

@media print{
  .table th {
    background-color: white;
    color: black;
  }
  .noprint{
    display: none;
  }
}

    </style>
</head>

<body>




<div class="container ignielPelangi3" style="margin-top: 20px; padding: 20px 40px">
<table  class="table ignielPelangi3">
      
    <thead>
      <tr>
            <th colspan="33" align="left">(LAPORAN 1) Laporan Penerimaan Kasir Rawat Jalan</th>
      </tr>
      <tr>
            <th></th>
            <th>PERIODE:</th>
            <th colspan="31" style="text-align: left"><?= $objGet->range ?></th>
      </tr>

      <tr>
            <th>NO.</th>
            <th>WAKTU</th>
            <th>MR</th>
            <th>NAMA PASIEN</th>
            <th>TGL DAFTAR/MRS</th>
            <th>TGL KELUAR/KRS</th>
            <th>LAYANAN ASAL</th>
            <th>JAMINAN</th>
	    <th>DPJP</th>
	    <!--
            <th>KODE</th>
            <th>KETERANGAN</th>
	    <th>DOKTER PELAKSANAN</th>
	    <th>LAYANAN</th>
	    <th>JASA SARANA</th>
            <th>JASA PELAYANAN</th>
	    -->

	    <th>TOTAL</th>	    
	    <th>OBAT, ALKES, & BMPH</th>
	    <th>RETUR</th>
	    <th>TOTAL PASCA RETUR</th>
	    	<!--    <th><I>PENDAPATAN PEMBULATAN</th>
	    	     <th><i>TOTAL PASCA RETUR</i></th>-->
	    <th>ADMINISTRASI</th>	    <th>PEMERIKSAAN & TINDAKAN RJ</th>
	    <th>OPERASI RJ</th>
	    <th>PEMERIKSAAN & TINDAKAN IGD</th>
	    <th>OPERASI IGD</th>
	    <th>PEMERIKSAAN & TINDAKAN RI</th>
	    <th>OPERASI RI</th>
	    <th>TINDAKAN KEPERAWATAN DAN KEBIDANAN</th>
	    <th>PAKET BAYI & TRANSFUSI DARAH</th>
	    <th>LABORATORIUM</th>
	    <th>RADIOLOGI</th>
	    <th>DIAGNOSTIK LAIN (PATOLOGI ANATOMI & MIKROLARINGOSKOPI</th>
	    <th>PAKET GIZI</th>
	    <th>SEWA ALAT</th>
	    <th>SEWA KAMAR</th>
	    <th>VISITE</th>
	    <th>VISUM DAN PENANGANAN JENAZAH</th>
	    <th>AMBULANCE</th>
	    
            <th>KETERANGAN</th>
	    <th>NAMA KASIR</th>
      </tr>
    </thead>
    <tbody>
<?php
    $no = 1;
    while($row = $objDbResult->FetchArray())
	
    {
        $objUser = SystemUser::LoadById($row['create_user']);
        $objActivity = ActivityNursing::LoadById($row['patient_nursing_id']);
        $objProduct = HmisRefProduct::LoadById($row['product_id']);
        if($objProduct){
            $valJasaSarana = $objProduct->JasaSarana;
            $valJasaPelayanan = $objProduct->JasaPelayanan;
            $valJasaAdmin = $objProduct->JasaPelayanan * $objProduct->JasaAdmin;
            if($objProduct->RequestServiceToDepartmentId) {
               $objDepartment = SystemDepartment::LoadById($objProduct->RequestServiceToDepartmentId);
            } 
	    else {
		$objDepartment = 0;
	    }
	    // $valJasaSarana = 1;
        }
	// $valJasaSarana = 1;

	// $objPayment = HmisPatientNursingPaymentKediri::LoadByPatientId($row['patient_id']);
	// if($objPayment){
	   // $valCreateTime = $objPayment->CreateTime;
	   // if($objPayment->CreateUser){
	   //   $valCreateUser = SystemUser::LoadById($objPayment->CreateUser);
	   // }
	// }

?>
        <tr>
            <td><?= $no ?></td>
            <td><?=  $row['create_time'] ?></td>
            <td><?= $row['patient_code'] ?></td>
            <td><?= $row['patient_name'] ?></td>
            <td><?= $row['nursing_start_date'] ?></td>
            <td><?= $row['nursing_end_date'] ?></td>
	    <!--
            <td><?= ( $row['patient_name'] != $strLastPatientNama ) ? $row['patient_code'] : '' ?></td>
            <td><?= ( $row['patient_name'] != $strLastPatientNama ) ?  $row['patient_name'] : '' ?></td>
	    -->
	    <td><?= $row['department_name'] ?></td>
            <td><?= $row['contract_service_name'] ?></td>
	    <!--
            <td><?= $objActivity->DoctorName; ?></td>
	    -->
            <td><?= $row['doctor_name'] ?></td>
            <!--
            <td><?= $row['product_code'] ?></td>
            <td><?= $row['product_name'] ?></td>
            -->
	    <?php
	    	$tanggal1=$row['product_name']='PELAYANAN REKAM MEDIK' ? $row['create_time'] : $row['tanggal'] 
	    ?>
            <!--
            <td><?=  $objUser->FullName; ?></td>
            <td><?= $row['tanggal'] ?></td>
	    <td><?= $row['mediator_name'] ?></td>
            <td><?= $objDepartment ? $objDepartment->Name : $row['activity_department_name'] ?></td>
	    <td><?= number_format ($row['current_billing']) ?></td>
	    <td><?= number_format ($row['personal_payment']) ?></td>
            -->
	    <td  align="right"><?=  ($row['total']) ?></td>
	    <td align="right"><?=  ($row['farmasi1']+$row['farmasi2']+$row['farmasi3']+$row['farmasi4']+$row['farmasi5']) ?></td>
	    <td align="right"><?=  ($row['retur']) ?></td>
	    <td align="right"><?=  ($row['total']-$row['retur'])?></td>
	  <!--  <td align="right"><i>
<?php 

$totalharga=ceil(($row['total']-$row['return_value'])/500)*500;
                            
                            echo number_format($totalharga - ($row['total']));
?>	  </i>  
	    </td>
	    <td align="right"><i><?= ($row['total']-$row['retur']) ?>-->
	    </i></td>
	    <td align="right"><?=  ($row['admin']) ?></td>
	    <td align="right"><?=  ($row['tindakanrj1']+$row['tindakanrj2']+$row['tindakanrj3']+$row['tindakanrj4']) ?></td>
	    <td align="right"><?=  ($row['operasirj']) ?></td>
<td align="right"><?=  ($row['tindakanigd1']+$row['tindakanigd2']+$row['tindakanigd3']) ?></td>
	    <td align="right"><?=  ($row['operasiigd']) ?></td>	    
	    <td align="right"><?=  ($row['tindakanri1']+$row['tindakanri2']+$row['tindakanri3']) ?></td>
	    <td align="right"><?=  ($row['operasiri']) ?></td>
	    <td align="right"><?=  ($row['perawat']+$row['perawat1']+$row['perawat2']+$row['perawat3']) ?></td>
	    <td align="right"><?=  ($row['paketbayi']) ?></td>
	    <td align="right"><?=  ($row['lab1']+$row['lab2']+$row['lab3']+$row['lab4']) ?></td>
	    <td align="right"><?=  ($row['rad1']+$row['rad2']+$row['rad3']+$row['rad4']) ?></td>
	    <td align="right"><?=  ($row['pa']) ?></td>
	    <td align="right"><?=  ($row['paketgizi']) ?></td>
	    <td align="right"><?=  ($row['sewaalat']) ?></td>
	    <td align="right"><?=  ($row['sewakamar']) ?></td>
	    <td align="right"><?=  ($row['visite']) ?></td>
	    <td align="right"><?=  ($row['visum']) ?></td>
	    <td align="right"><?=  ($row['ambulance']) ?></td>
	     
	    	    
            <?php
		  if($row['is_paid'] == "1"){
		    $status = "Terbayar";
		  }else if($row['is_paid'] == "2"){
		    $status = "Permintaan Refund";
		  }else if($row['is_paid'] == "3"){
		    $status = "Telah Refund";
		  }else if($row['is_paid'] == " "){
		    $status = "Belum Terbayar";
		  }
		 ?>
	    <td><?= $status ?></td>
	    <td><?= $objUser->FullName; ?></td>
        </tr>
<?php
        $strLastPatientNama = $row['patient_name'];
        $no++;
        $totalTotal1 += $row['total'];
        $totalFarmasi1 += $row['farmasi1']+$row['farmasi2']+$row['farmasi3']+$row['farmasi4']+$row['farmasi5'];
        $totalRetur1 += $row['retur'];
        $totalAfterReturn1 += $row['total']-$row['retur'];
        
        $totalAdmin1 += $row['admin'];
        $totaltindakanrj1 += $row['tindakanrj1']+$row['tindakanrj2']+$row['tindakanrj3']+$row['tindakanrj4'];    
        $totaloperasirj1 += $row['operasirj'];
        $totaltindakanigd1 += $row['tindakanigd1']+$row['tindakanigd2']+$row['tindakanigd3'];
        $totalperawatrj += $row['perawat']+$row['perawat1']+$row['perawat2']+$row['perawat3'];
        $totaloperasiigd1 += $row['operasiigd'];
        $totaltindakanri1 += $row['tindakanri1']+$row['tindakanri2']+$row['tindakanri3'];    
        $totaloperasiri1 += $row['operasiri'];
        $totalperawat1 += $row['perawat']+$row['perawat1']+$row['perawat2']+$row['perawat3'];
        $totalpaketbayi1 += $row['paketbayi'];
        $totallab1 += $row['lab1']+$row['lab2']+$row['lab3']+$row['lab4'];    
        $totalrad1 += $row['rad1']+$row['rad2']+$row['rad3']+$row['rad4'];
        $totalpa1 += $row['pa'];       
        $totalpaketgizi1 += $row['paketgizi'];
        $totalsewaalat1 += $row['sewaalat'];    
        $totalsewakamar1 += $row['sewakamar'];
        $totalvisite1 += $row['visite'];
        $totalvisum1 += $row['visum'];
        $totalambulance1 += $row['ambulance'];    
       
    }
// }
?>
<tr>
<td colspan='9' align='right'>Total</td>
<td align="right"><?= ($totalTotal1)  ?></td>
<td align="right"><?= ($totalFarmasi1)  ?></td>
<td align="right"><?= ($totalRetur1)  ?></td>
<td align="right"><?= ($totalAfterReturn1)  ?></td>
<td align="right"><?= ($totalAdmin1)  ?></td>
<td align="right"><?= ($totaltindakanrj1)  ?></td>
<td align="right"><?= ($totaloperasirj1)  ?></td>
<td align="right"><?= ($totaltindakanigd1)  ?></td>

<td align="right"><?= ($totaloperasiri1)  ?></td>
<td align="right"><?= ($totaltindakanri1)  ?></td>
<td align="right"><?= ($totaloperasiri1)  ?></td>
<td align="right"><?= ($totalperawat1)  ?></td>
<td align="right"><?= ($totalpaketbayi1)  ?></td>
<td align="right"><?= ($totallab1)  ?></td>
<td align="right"><?= ($totalrad1)  ?></td>
<td align="right"><?= ($totalpa1)  ?></td>
<td align="right"><?= ($totalpaketgizi1)  ?></td>
<td align="right"><?= ($totalsewaalat1)  ?></td>
<td align="right"><?= ($totalsewakamar1)  ?></td>
<td align="right"><?= ($totalvisite1)  ?></td>
<td align="right"><?= ($totalvisum1)  ?></td>

<td align="right"><?= ($totalambulance1)  ?></td>

<td colspan="2" style="background:royalblue;">&nbsp;</td>

</tr>

</tbody>
</table>
</div>

<?php
 include_once __DOCROOT__ . __SUBDIRECTORY__ . '/classes/controller/PatientNursingBilling.class.php';
$objGet = System::genObject('get');

list($minDate,$maxDate) = @explode(' - ',$objGet->range);
list($minDay,$minMonth,$minYear) = @explode('.',$minDate);
list($maxDay,$maxMonth,$maxYear) = @explode('.',$maxDate);



$objMinDate = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMaxDate = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');

// if($objGet->nursing_category) {
   // $SQLWhereContractService .= " AND activity_nursing.nursing_category = '".$objGet->nursing_category."' ";
// }

// if($objGet->contract_service){
   // $SQLWhereContractService .= " AND activity_nursing.contract_service_id = '".$objGet->contract_service."' ";
// }

$objDb = QApplication::$Database[1];
        $strSQL = "
        SELECT 
                hmis_patient_nursing_adm_billing.patient_nursing_id,
		hmis_patient_nursing_adm_billing.patient_code,
		hmis_patient_nursing_adm_billing.patient_name,
                hmis_patient_nursing_adm_billing.patient_department_name,
                hmis_patient_nursing_adm_billing.product_id,
                hmis_patient_nursing_adm_billing.product_name,
                hmis_patient_nursing_adm_billing.product_code,
                substring(hmis_patient_nursing_adm_billing.billing_group,1,3) AS billing_group ,
		hmis_patient_nursing_adm_billing.activity_department_name,
		hmis_patient_nursing_adm_billing.profile,
		convert_to_json(hmis_patient_nursing_adm_billing.profile)->>'Tanggal' AS tanggal,
		hmis_patient_nursing_adm_billing.personal_payment,
		hmis_patient_nursing_adm_billing.contract_service_name,
		hmis_patient_nursing_adm_billing.current_billing,
		hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.create_time,
                hmis_patient_nursing_payment_kediri.activity_on_partition,
                hmis_patient_nursing_payment_kediri.is_paid,
		hmis_patient_nursing_adm_billing.mediator_name,
		hmis_patient_nursing_adm_billing.personal_payment,
		
		
 activity_nursing_adm_billing.patient_nursing_id,
		activity_nursing_adm_billing.patient_code,
		activity_nursing_adm_billing.patient_name,
                activity_nursing_adm_billing.patient_department_name,
                activity_nursing_adm_billing.product_id,
                activity_nursing_adm_billing.product_name,
                activity_nursing_adm_billing.product_code,
                substring(activity_nursing_adm_billing.billing_group,1,3) AS billing_group ,
		activity_nursing_adm_billing.activity_department_name,
		activity_nursing_adm_billing.profile,
		convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' AS tanggal,
		activity_nursing_adm_billing.personal_payment,
		activity_nursing_adm_billing.contract_service_name,
		activity_nursing_adm_billing.current_billing,
		hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.create_time,
                hmis_patient_nursing_payment_kediri.activity_on_partition,
                hmis_patient_nursing_payment_kediri.is_paid,
                hmis_patient_nursing_payment_kediri.payment_category,
                hmis_patient_nursing_payment_kediri.nursing_category,
		activity_nursing_adm_billing.mediator_name,
		activity_nursing.doctor_name,
		activity_nursing_adm_billing.personal_payment		
		
		
    
        FROM
            hmis_patient_nursing_adm_billing LEFT JOIN hmis_patient_nursing_payment_kediri ON 
	    hmis_patient_nursing_payment_kediri.payment_cashier = hmis_patient_nursing_adm_billing.personal_payment_activity_id




	WHERE
	    hmis_patient_nursing_adm_billing.state = 'A'
	    -- AND ( COALESCE ( convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' , activity_nursing_adm_billing.create_time::TEXT)::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
            AND ( hmis_patient_nursing_payment_kediri.create_time::TEXT::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
	    AND hmis_patient_nursing_payment_kediri.is_paid='1' 	    AND hmis_patient_nursing_payment_kediri.payment_category='tunai' 
and hmis_patient_nursing_payment_kediri.nursing_category='2'
            -- $SQLWhereContractService
        ORDER BY hmis_patient_nursing_payment_kediri.create_time ASC
        ";

        $strSQL = "
	SELECT
	hmis_patient_nursing_adm_billing.patient_code,
	hmis_patient_nursing_adm_billing.contract_service_name,
	hmis_patient_nursing_adm_billing.patient_department_name,
	hmis_patient_nursing.department_name,
	hmis_patient_nursing.full_name AS patient_name,
	hmis_patient_nursing.doctor_name,
	hmis_patient_nursing.nursing_start_date,
	hmis_patient_nursing.nursing_end_date,
	hmis_patient_nursing_payment_kediri.create_user,
	hmis_patient_nursing_payment_kediri.create_time,
	hmis_patient_nursing_payment_kediri.activity_on_partition,
	hmis_patient_nursing_payment_kediri.is_paid,                hmis_patient_nursing_payment_kediri.nursing_category,
		hmis_patient_nursing_payment_kediri.retur,

	SUM(CASE WHEN hmis_ref_product.id IS NOT NULL THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS total,
	SUM(CASE WHEN hmis_ref_product.billing_group='9' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS admin,
	
	SUM(CASE WHEN hmis_ref_product.billing_group='1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi1,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi2,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi3,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi4,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.0' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi5,
	SUM(CASE WHEN hmis_ref_product.billing_group='2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj4,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasirj,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasiigd,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasiri,
	SUM(CASE WHEN hmis_ref_product.billing_group='3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat1,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat2,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat3,
	SUM(CASE WHEN hmis_ref_product.billing_group='4' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS paketbayi,
	SUM(CASE WHEN hmis_ref_product.billing_group='4.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab1,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab2,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab3,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab4,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad1,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad2,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad3,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad4,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS pa,
        SUM(CASE WHEN hmis_ref_product.billing_group='5' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS paketgizi,
        SUM(CASE WHEN hmis_ref_product.billing_group='6' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS sewaalat,
        SUM(CASE WHEN hmis_ref_product.billing_group='7' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS sewakamar,
	SUM(CASE WHEN hmis_ref_product.billing_group='8' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS visite,
	SUM(CASE WHEN hmis_ref_product.billing_group='8.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS visum,
	SUM(CASE WHEN hmis_ref_product.billing_group='8.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS ambulance,



	SUM(CASE WHEN hmis_ref_product.billing_group='134' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS oksigen,
	SUM(CASE WHEN hmis_ref_product.billing_group='135' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS ash_prwt,
		SUM(CASE WHEN hmis_ref_product.billing_group ='132' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab,
	SUM(CASE WHEN hmis_ref_product.billing_group='136' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS minibar

--SUM(CASE WHEN (CASE WHEN hmis_patient_nursing_adm_billing.activity_department_name ISNULL
			   --OR UPPER(hmis_patient_nursing_adm_billing.activity_department_name) LIKE '%KASIR%'
--THEN UPPER(hmis_patient_nursing.department_name)
--ELSE UPPER(hmis_patient_nursing_adm_billing.activity_department_name)
--END) LIKE '%LAB%' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab,

	--SUM(CASE WHEN (CASE WHEN hmis_patient_nursing_adm_billing.activity_department_name ISNULL
	--			   OR UPPER(hmis_patient_nursing_adm_billing.activity_department_name) LIKE '%KASIR%'
--	THEN UPPER(hmis_patient_nursing.department_name)
--	ELSE UPPER(hmis_patient_nursing_adm_billing.billing_group)
--	END) ='1'   THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi
	
	
	FROM
	hmis_patient_nursing_adm_billing 
	LEFT JOIN hmis_patient_nursing_payment_kediri ON
	hmis_patient_nursing_payment_kediri.payment_cashier = hmis_patient_nursing_adm_billing.personal_payment_activity_id
	OR hmis_patient_nursing_payment_kediri.payment_non_cash = hmis_patient_nursing_adm_billing.personal_payment_activity_id
	LEFT JOIN hmis_ref_product ON
	hmis_patient_nursing_adm_billing.product_id = hmis_ref_product.id
	LEFT JOIN system_department ON
	hmis_ref_product.request_service_to_department_id = system_department.id 
	LEFT JOIN activity ON
	hmis_patient_nursing_adm_billing.activity_id = activity.id
	LEFT JOIN hmis_ref_patient ON
	hmis_patient_nursing_adm_billing.patient_id = hmis_ref_patient.id
	LEFT JOIN hmis_patient_nursing ON
	hmis_patient_nursing_adm_billing.patient_nursing_id = hmis_patient_nursing.id

	WHERE
	    hmis_patient_nursing_adm_billing.state = 'A'
	    -- AND ( COALESCE ( convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' , activity_nursing_adm_billing.create_time::TEXT)::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
            AND ( hmis_patient_nursing_payment_kediri.create_time::TEXT::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
	    	    AND hmis_patient_nursing_payment_kediri.is_paid='1' AND hmis_patient_nursing_payment_kediri.payment_category='tunai' 
and hmis_patient_nursing_payment_kediri.nursing_category='2'
            -- $SQLWhereContractService

	group by
	hmis_patient_nursing_adm_billing.patient_code,
	hmis_patient_nursing_adm_billing.contract_service_name,
	hmis_patient_nursing_adm_billing.patient_department_name,
	hmis_patient_nursing.department_name,                hmis_patient_nursing_payment_kediri.nursing_category,
	hmis_ref_patient.full_name,
	hmis_patient_nursing.full_name,
	hmis_patient_nursing.doctor_name,
	hmis_patient_nursing.nursing_start_date,
	hmis_patient_nursing.nursing_end_date,
	hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.retur,
	hmis_patient_nursing_payment_kediri.create_time,
	hmis_patient_nursing_payment_kediri.activity_on_partition,
	hmis_patient_nursing_payment_kediri.is_paid ,  hmis_patient_nursing_payment_kediri.payment_category 
	ORDER BY hmis_patient_nursing_adm_billing.patient_department_name ASC
        ";

$test = str_replace("\n", '<BR />', $strSQL);
//echo $test;
//exit;        
$objDbResult = $objDb->Query($strSQL);


if($objGet->excel == 'excel'){
  header("Content-type: application/vnd-ms-excel");
  header("Content-Disposition: attachment; filename=laporan penerimaan kasir.xls");
}
$objUser = SystemUser::LoadById($objHmisPatientNursingAdmBilling->CreateUser);
$objProduct = HmisRefProduct::LoadById($objHmisPatientNursingAdmBilling->ProductName);             

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>PENERIMAAN KASIR </title>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
<style>

.table {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
  font-size: 11px;
}

.table td, .table th {
  border: 1px solid #ddd;
  padding: 8px;
}

.table tr:nth-child(even){background-color: brown;}

.table tr:hover {background-color: lime;}

.table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: brown;
  color: yellow;
}

@media print{
  .table th {
    background-color: white;
    color: black;
  }
  .noprint{
    display: none;
  }
}

    </style>
</head>

<body>




<div class="container ignielPelangi3" style="margin-top: 20px; padding: 20px 40px">
<table  class="table ignielPelangi3">
      
    <thead>
      <tr>
            <th colspan="33" align="left">(LAPORAN 2) Laporan Penerimaan Kasir IGD (PX IGD LANGSUNG PULANG, TIDAK MRS)</th>
      </tr>
      <tr>
            <th></th>
            <th>PERIODE:</th>
            <th colspan="31" style="text-align: left"><?= $objGet->range ?></th>
      </tr>

      <tr>
            <th>NO.</th>
            <th>WAKTU</th>
            <th>MR</th>
            <th>NAMA PASIEN</th>
            <th>TGL DAFTAR/MRS</th>
            <th>TGL KELUAR/KRS</th>
            <th>LAYANAN ASAL</th>
            <th>JAMINAN</th>
	    <th>DPJP</th>
	    <!--
            <th>KODE</th>
            <th>KETERANGAN</th>
	    <th>DOKTER PELAKSANAN</th>
	    <th>LAYANAN</th>
	    <th>JASA SARANA</th>
            <th>JASA PELAYANAN</th>
	    -->

	    <th>TOTAL</th>	    
	    <th>OBAT, ALKES, & BMPH</th>
	    <th>RETUR</th>
	    <th>TOTAL PASCA RETUR</th>
	    	<!--    <th><I>PENDAPATAN PEMBULATAN</th>
	    	     <th><i>TOTAL PASCA RETUR</i></th>-->
	    <th>ADMINISTRASI</th>	    <th>PEMERIKSAAN & TINDAKAN RJ</th>
	    <th>OPERASI RJ</th>
	    <th>PEMERIKSAAN & TINDAKAN IGD</th>
	    <th>OPERASI IGD</th>
	    <th>PEMERIKSAAN & TINDAKAN RI</th>
	    <th>OPERASI RI</th>
	    <th>TINDAKAN KEPERAWATAN DAN KEBIDANAN</th>
	    <th>PAKET BAYI & TRANSFUSI DARAH</th>
	    <th>LABORATORIUM</th>
	    <th>RADIOLOGI</th>
	    <th>DIAGNOSTIK LAIN (PATOLOGI ANATOMI & MIKROLARINGOSKOPI</th>
	    <th>PAKET GIZI</th>
	    <th>SEWA ALAT</th>
	    <th>SEWA KAMAR</th>
	    <th>VISITE</th>
	    <th>VISUM DAN PENANGANAN JENAZAH</th>
	    <th>AMBULANCE</th>
	    
            <th>KETERANGAN</th>
	    <th>NAMA KASIR</th>
      </tr>
    </thead>
    <tbody>
<?php
    $no = 1;
    while($row = $objDbResult->FetchArray())
	
    {
        $objUser = SystemUser::LoadById($row['create_user']);
        $objActivity = ActivityNursing::LoadById($row['patient_nursing_id']);
        $objProduct = HmisRefProduct::LoadById($row['product_id']);
        if($objProduct){
            $valJasaSarana = $objProduct->JasaSarana;
            $valJasaPelayanan = $objProduct->JasaPelayanan;
            $valJasaAdmin = $objProduct->JasaPelayanan * $objProduct->JasaAdmin;
            if($objProduct->RequestServiceToDepartmentId) {
               $objDepartment = SystemDepartment::LoadById($objProduct->RequestServiceToDepartmentId);
            } 
	    else {
		$objDepartment = 0;
	    }
	    // $valJasaSarana = 1;
        }
	// $valJasaSarana = 1;

	// $objPayment = HmisPatientNursingPaymentKediri::LoadByPatientId($row['patient_id']);
	// if($objPayment){
	   // $valCreateTime = $objPayment->CreateTime;
	   // if($objPayment->CreateUser){
	   //   $valCreateUser = SystemUser::LoadById($objPayment->CreateUser);
	   // }
	// }

?>
        <tr>
            <td><?= $no ?></td>
            <td><?=  $row['create_time'] ?></td>
            <td><?= $row['patient_code'] ?></td>
            <td><?= $row['patient_name'] ?></td>
            <td><?= $row['nursing_start_date'] ?></td>
            <td><?= $row['nursing_end_date'] ?></td>
	    <!--
            <td><?= ( $row['patient_name'] != $strLastPatientNama ) ? $row['patient_code'] : '' ?></td>
            <td><?= ( $row['patient_name'] != $strLastPatientNama ) ?  $row['patient_name'] : '' ?></td>
	    -->
	    <td><?= $row['department_name'] ?></td>
            <td><?= $row['contract_service_name'] ?></td>
	    <!--
            <td><?= $objActivity->DoctorName; ?></td>
	    -->
            <td><?= $row['doctor_name'] ?></td>
            <!--
            <td><?= $row['product_code'] ?></td>
            <td><?= $row['product_name'] ?></td>
            -->
	    <?php
	    	$tanggal1=$row['product_name']='PELAYANAN REKAM MEDIK' ? $row['create_time'] : $row['tanggal'] 
	    ?>
            <!--
            <td><?=  $objUser->FullName; ?></td>
            <td><?= $row['tanggal'] ?></td>
	    <td><?= $row['mediator_name'] ?></td>
            <td><?= $objDepartment ? $objDepartment->Name : $row['activity_department_name'] ?></td>
	    <td><?= number_format ($row['current_billing']) ?></td>
	    <td><?= number_format ($row['personal_payment']) ?></td>
            -->
	    <td  align="right"><?=  ($row['total']) ?></td>
	    <td align="right"><?=  ($row['farmasi1']+$row['farmasi2']+$row['farmasi3']+$row['farmasi4']+$row['farmasi5']) ?></td>
	    <td align="right"><?=  ($row['retur']) ?></td>
	    <td align="right"><?=  ($row['total']-$row['retur'])?></td>
	  <!--  <td align="right"><i>
<?php 

$totalharga=ceil(($row['total']-$row['return_value'])/500)*500;
                            
                            echo number_format($totalharga - ($row['total']));
?>	  </i>  
	    </td>
	    <td align="right"><i><?= ($row['total']-$row['retur']) ?>-->
	    </i></td>
	    <td align="right"><?=  ($row['admin']) ?></td>
	    <td align="right"><?=  ($row['tindakanrj1']+$row['tindakanrj2']+$row['tindakanrj3']+$row['tindakanrj4']) ?></td>
	    <td align="right"><?=  ($row['operasirj']) ?></td>
<td align="right"><?=  ($row['tindakanigd1']+$row['tindakanigd2']+$row['tindakanigd3']) ?></td>
	    <td align="right"><?=  ($row['operasiigd']) ?></td>	    
	    <td align="right"><?=  ($row['tindakanri1']+$row['tindakanri2']+$row['tindakanri3']) ?></td>
	    <td align="right"><?=  ($row['operasiri']) ?></td>
	    <td align="right"><?=  ($row['perawat']+$row['perawat1']+$row['perawat2']+$row['perawat3']) ?></td>
	    <td align="right"><?=  ($row['paketbayi']) ?></td>
	    <td align="right"><?=  ($row['lab1']+$row['lab2']+$row['lab3']+$row['lab4']) ?></td>
	    <td align="right"><?=  ($row['rad1']+$row['rad2']+$row['rad3']+$row['rad4']) ?></td>
	    <td align="right"><?=  ($row['pa']) ?></td>
	    <td align="right"><?=  ($row['paketgizi']) ?></td>
	    <td align="right"><?=  ($row['sewaalat']) ?></td>
	    <td align="right"><?=  ($row['sewakamar']) ?></td>
	    <td align="right"><?=  ($row['visite']) ?></td>
	    <td align="right"><?=  ($row['visum']) ?></td>
	    <td align="right"><?=  ($row['ambulance']) ?></td>
	     
	    	    
            <?php
		  if($row['is_paid'] == "1"){
		    $status = "Terbayar";
		  }else if($row['is_paid'] == "2"){
		    $status = "Permintaan Refund";
		  }else if($row['is_paid'] == "3"){
		    $status = "Telah Refund";
		  }else if($row['is_paid'] == " "){
		    $status = "Belum Terbayar";
		  }
		 ?>
	    <td><?= $status ?></td>
	    <td><?= $objUser->FullName; ?></td>
        </tr>
<?php
        $strLastPatientNama = $row['patient_name'];
        $no++;
        $totalTotal2 += $row['total'];
        $totalFarmasi2 += $row['farmasi1']+$row['farmasi2']+$row['farmasi3']+$row['farmasi4']+$row['farmasi5'];
        $totalRetur2 += $row['retur'];
        $totalAfterReturn2 += $row['total']-$row['retur'];
        
        $totalAdmin2 += $row['admin'];
        $totaltindakanrj2 += $row['tindakanrj1']+$row['tindakanrj2']+$row['tindakanrj3']+$row['tindakanrj4'];    
        $totaloperasirj2 += $row['operasirj'];
        $totaltindakanigd2 += $row['tindakanigd1']+$row['tindakanigd2']+$row['tindakanigd3'];
        $totaloperasiigd2 += $row['operasiigd'];
        $totaltindakanri2 += $row['tindakanri1']+$row['tindakanri2']+$row['tindakanri3'];    
        $totaloperasiri2 += $row['operasiri'];
        $totalperawat2 += $row['perawat']+$row['perawat1']+$row['perawat2']+$row['perawat3'];
        $totalpaketbayi2 += $row['paketbayi'];
        $totallab2 += $row['lab1']+$row['lab2']+$row['lab3']+$row['lab4'];    
        $totalrad2 += $row['rad1']+$row['rad2']+$row['rad3']+$row['rad4'];
        $totalpa2 += $row['pa'];       
        $totalpaketgizi2 += $row['paketgizi'];
        $totalsewaalat2 += $row['sewaalat'];    
        $totalsewakamar2 += $row['sewakamar'];
        $totalvisite2 += $row['visite'];
        $totalvisum2 += $row['visum'];
        $totalambulance2 += $row['ambulance'];    
       
    }
// }
?>
<tr>
<td colspan='9' align='right'>Total</td>
<td align="right"><?= ($totalTotal2)  ?></td>
<td align="right"><?= ($totalFarmasi2)  ?></td>
<td align="right"><?= ($totalRetur2)  ?></td>
<td align="right"><?= ($totalAfterReturn2)  ?></td>
<td align="right"><?= ($totalAdmin2)  ?></td>
<td align="right"><?= ($totaltindakanrj2)  ?></td>
<td align="right"><?= ($totaloperasirj2)  ?></td>
<td align="right"><?= ($totaltindakanigd2)  ?></td>
<td align="right"><?= ($totaloperasiigd2)  ?></td>
<td align="right"><?= ($totaltindakanri2)  ?></td>
<td align="right"><?= ($totaloperasiri2)  ?></td>
<td align="right"><?= ($totalperawat2)  ?></td>
<td align="right"><?= ($totalpaketbayi2)  ?></td>
<td align="right"><?= ($totallab2)  ?></td>
<td align="right"><?= ($totalrad2)  ?></td>
<td align="right"><?= ($totalpa2)  ?></td>
<td align="right"><?= ($totalpaketgizi2)  ?></td>
<td align="right"><?= ($totalsewaalat2)  ?></td>
<td align="right"><?= ($totalsewakamar2)  ?></td>
<td align="right"><?= ($totalvisite2)  ?></td>
<td align="right"><?= ($totalvisum2)  ?></td>
<td align="right"><?= ($totalambulance2)  ?></td>

<td colspan="2" style="background:royalblue;">&nbsp;</td>

</tr>

</tbody>
</table>
</div>

<?php
 include_once __DOCROOT__ . __SUBDIRECTORY__ . '/classes/controller/PatientNursingBilling.class.php';
$objGet = System::genObject('get');

list($minDate,$maxDate) = @explode(' - ',$objGet->range);
list($minDay,$minMonth,$minYear) = @explode('.',$minDate);
list($maxDay,$maxMonth,$maxYear) = @explode('.',$maxDate);



$objMinDate = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMaxDate = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');

// if($objGet->nursing_category) {
   // $SQLWhereContractService .= " AND activity_nursing.nursing_category = '".$objGet->nursing_category."' ";
// }

// if($objGet->contract_service){
   // $SQLWhereContractService .= " AND activity_nursing.contract_service_id = '".$objGet->contract_service."' ";
// }

$objDb = QApplication::$Database[1];
        $strSQL = "
        SELECT 
                hmis_patient_nursing_adm_billing.patient_nursing_id,
		hmis_patient_nursing_adm_billing.patient_code,
		hmis_patient_nursing_adm_billing.patient_name,
                hmis_patient_nursing_adm_billing.patient_department_name,
                hmis_patient_nursing_adm_billing.product_id,
                hmis_patient_nursing_adm_billing.product_name,
                hmis_patient_nursing_adm_billing.product_code,
                substring(hmis_patient_nursing_adm_billing.billing_group,1,3) AS billing_group ,
		hmis_patient_nursing_adm_billing.activity_department_name,
		hmis_patient_nursing_adm_billing.profile,
		convert_to_json(hmis_patient_nursing_adm_billing.profile)->>'Tanggal' AS tanggal,
		hmis_patient_nursing_adm_billing.personal_payment,
		hmis_patient_nursing_adm_billing.contract_service_name,
		hmis_patient_nursing_adm_billing.current_billing,
		hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.create_time,
                hmis_patient_nursing_payment_kediri.activity_on_partition,
                hmis_patient_nursing_payment_kediri.is_paid,
		hmis_patient_nursing_adm_billing.mediator_name,
		hmis_patient_nursing_adm_billing.personal_payment,
			hmis_patient_nursing_payment_kediri.billing_current,
	hmis_patient_nursing_payment_kediri.tagihan_akhir,

		
		
 activity_nursing_adm_billing.patient_nursing_id,
		activity_nursing_adm_billing.patient_code,
		activity_nursing_adm_billing.patient_name,
                activity_nursing_adm_billing.patient_department_name,
                activity_nursing_adm_billing.product_id,
                activity_nursing_adm_billing.product_name,
                activity_nursing_adm_billing.product_code,
                substring(activity_nursing_adm_billing.billing_group,1,3) AS billing_group ,
		activity_nursing_adm_billing.activity_department_name,
		activity_nursing_adm_billing.profile,
		convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' AS tanggal,
		activity_nursing_adm_billing.personal_payment,
		activity_nursing_adm_billing.contract_service_name,
		activity_nursing_adm_billing.current_billing,
		hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.create_time,
                hmis_patient_nursing_payment_kediri.activity_on_partition,
                hmis_patient_nursing_payment_kediri.is_paid,
                hmis_patient_nursing_payment_kediri.payment_category,
                hmis_patient_nursing_payment_kediri.nursing_category,
		activity_nursing_adm_billing.mediator_name,
		activity_nursing.doctor_name,
		activity_nursing_adm_billing.personal_payment		
		
		
    
        FROM
            hmis_patient_nursing_adm_billing LEFT JOIN hmis_patient_nursing_payment_kediri ON 
	    hmis_patient_nursing_payment_kediri.payment_cashier = hmis_patient_nursing_adm_billing.personal_payment_activity_id




	WHERE
	    hmis_patient_nursing_adm_billing.state = 'A'
	    -- AND ( COALESCE ( convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' , activity_nursing_adm_billing.create_time::TEXT)::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
            AND ( hmis_patient_nursing_payment_kediri.create_time::TEXT::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
	    AND hmis_patient_nursing_payment_kediri.is_paid='1' 	    AND hmis_patient_nursing_payment_kediri.payment_category='tunai' 
and hmis_patient_nursing_payment_kediri.nursing_category='3'
and hmis_patient_nursing_adm_billing.patient_department_name not like '%IGD%'
and hmis_patient_nursing_adm_billing.patient_department_name not like '%Poli%'
            -- $SQLWhereContractService
        ORDER BY hmis_patient_nursing_payment_kediri.create_time ASC
        ";

        $strSQL = "
	SELECT
	hmis_patient_nursing_adm_billing.patient_code,
	hmis_patient_nursing_adm_billing.contract_service_name,
	hmis_patient_nursing_adm_billing.patient_department_name,
	hmis_patient_nursing.department_name,
	hmis_patient_nursing.full_name AS patient_name,
	hmis_patient_nursing.doctor_name,
	hmis_patient_nursing.nursing_start_date,
	hmis_patient_nursing.nursing_end_date,
	hmis_patient_nursing_payment_kediri.create_user,
	hmis_patient_nursing_payment_kediri.create_time,
	hmis_patient_nursing_payment_kediri.activity_on_partition,
	hmis_patient_nursing_payment_kediri.is_paid,                hmis_patient_nursing_payment_kediri.nursing_category,
	hmis_patient_nursing_payment_kediri.retur,
	hmis_patient_nursing_payment_kediri.billing_current,
	hmis_patient_nursing_payment_kediri.tagihan_akhir,

	SUM(CASE WHEN hmis_ref_product.id IS NOT NULL THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS total,
	SUM(CASE WHEN hmis_ref_product.billing_group='9' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS admin,
	
	SUM(CASE WHEN hmis_ref_product.billing_group='1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi1,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi2,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi3,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi4,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.0' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi5,
	SUM(CASE WHEN hmis_ref_product.billing_group='2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj4,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasirj,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasiigd,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasiri,
	SUM(CASE WHEN hmis_ref_product.billing_group='3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat1,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat2,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat3,
	SUM(CASE WHEN hmis_ref_product.billing_group='4' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS paketbayi,
	SUM(CASE WHEN hmis_ref_product.billing_group='4.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab1,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab2,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab3,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab4,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad1,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad2,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad3,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad4,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS pa,
        SUM(CASE WHEN hmis_ref_product.billing_group='5' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS paketgizi,
        SUM(CASE WHEN hmis_ref_product.billing_group='6' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS sewaalat,
        SUM(CASE WHEN hmis_ref_product.billing_group='7' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS sewakamar,
	SUM(CASE WHEN hmis_ref_product.billing_group='8' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS visite,
	SUM(CASE WHEN hmis_ref_product.billing_group='8.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS visum,
	SUM(CASE WHEN hmis_ref_product.billing_group='8.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS ambulance,



	SUM(CASE WHEN hmis_ref_product.billing_group='134' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS oksigen,
	SUM(CASE WHEN hmis_ref_product.billing_group='135' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS ash_prwt,
		SUM(CASE WHEN hmis_ref_product.billing_group ='132' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab,
	SUM(CASE WHEN hmis_ref_product.billing_group='136' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS minibar

--SUM(CASE WHEN (CASE WHEN hmis_patient_nursing_adm_billing.activity_department_name ISNULL
			   --OR UPPER(hmis_patient_nursing_adm_billing.activity_department_name) LIKE '%KASIR%'
--THEN UPPER(hmis_patient_nursing.department_name)
--ELSE UPPER(hmis_patient_nursing_adm_billing.activity_department_name)
--END) LIKE '%LAB%' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab,

	--SUM(CASE WHEN (CASE WHEN hmis_patient_nursing_adm_billing.activity_department_name ISNULL
	--			   OR UPPER(hmis_patient_nursing_adm_billing.activity_department_name) LIKE '%KASIR%'
--	THEN UPPER(hmis_patient_nursing.department_name)
--	ELSE UPPER(hmis_patient_nursing_adm_billing.billing_group)
--	END) ='1'   THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi
	
	
	FROM
	hmis_patient_nursing_adm_billing 
	LEFT JOIN hmis_patient_nursing_payment_kediri ON
	hmis_patient_nursing_payment_kediri.payment_cashier = hmis_patient_nursing_adm_billing.personal_payment_activity_id
	OR hmis_patient_nursing_payment_kediri.payment_non_cash = hmis_patient_nursing_adm_billing.personal_payment_activity_id
	LEFT JOIN hmis_ref_product ON
	hmis_patient_nursing_adm_billing.product_id = hmis_ref_product.id
	LEFT JOIN system_department ON
	hmis_ref_product.request_service_to_department_id = system_department.id 
	LEFT JOIN activity ON
	hmis_patient_nursing_adm_billing.activity_id = activity.id
	LEFT JOIN hmis_ref_patient ON
	hmis_patient_nursing_adm_billing.patient_id = hmis_ref_patient.id
	LEFT JOIN hmis_patient_nursing ON
	hmis_patient_nursing_adm_billing.patient_nursing_id = hmis_patient_nursing.id

	WHERE
	    hmis_patient_nursing_adm_billing.state = 'A'
	    -- AND ( COALESCE ( convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' , activity_nursing_adm_billing.create_time::TEXT)::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
AND	    hmis_patient_nursing_adm_billing.patient_department_name not like '%IGD%'
AND	    (hmis_patient_nursing_adm_billing.patient_department_name not like '%POLI%') 
and hmis_patient_nursing_adm_billing.patient_department_name not like '%Poli%' 
            AND ( hmis_patient_nursing_payment_kediri.create_time::TEXT::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
	    	    AND hmis_patient_nursing_payment_kediri.is_paid='1' AND hmis_patient_nursing_payment_kediri.payment_category='tunai' 
and hmis_patient_nursing_payment_kediri.nursing_category='3'
and hmis_patient_nursing_adm_billing.patient_department_name not like '%IGD%'
and hmis_patient_nursing_adm_billing.patient_department_name not like '%Poli%'

            -- $SQLWhereContractService

	group by
	hmis_patient_nursing_adm_billing.patient_code,
		hmis_patient_nursing_payment_kediri.billing_current,
	hmis_patient_nursing_payment_kediri.tagihan_akhir,

	hmis_patient_nursing_adm_billing.contract_service_name,
	hmis_patient_nursing_adm_billing.patient_department_name,
	hmis_patient_nursing.department_name,                hmis_patient_nursing_payment_kediri.nursing_category,
	hmis_ref_patient.full_name,
	hmis_patient_nursing.full_name,
	hmis_patient_nursing.doctor_name,
	hmis_patient_nursing.nursing_start_date,
	hmis_patient_nursing.nursing_end_date,
	hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.retur,
	hmis_patient_nursing_payment_kediri.create_time,
	hmis_patient_nursing_payment_kediri.activity_on_partition,
	hmis_patient_nursing_payment_kediri.is_paid ,  hmis_patient_nursing_payment_kediri.payment_category 
	ORDER BY hmis_patient_nursing_adm_billing.patient_department_name ASC
        ";

$test = str_replace("\n", '<BR />', $strSQL);
//echo $test;
//exit;        
$objDbResult = $objDb->Query($strSQL);


if($objGet->excel == 'excel'){
  header("Content-type: application/vnd-ms-excel");
  header("Content-Disposition: attachment; filename=laporan penerimaan kasir.xls");
}
$objUser = SystemUser::LoadById($objHmisPatientNursingAdmBilling->CreateUser);
$objProduct = HmisRefProduct::LoadById($objHmisPatientNursingAdmBilling->ProductName);             

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>PENERIMAAN KASIR </title>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
<style>

.table {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
  font-size: 11px;
}

.table td, .table th {
  border: 1px solid #ddd;
  padding: 8px;
}

.table tr:nth-child(even){background-color: brown;}

.table tr:hover {background-color: lime;}

.table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: brown;
  color: yellow;
}

@media print{
  .table th {
    background-color: white;
    color: black;
  }
  .noprint{
    display: none;
  }
}

    </style>
</head>

<body>




<div class="container ignielPelangi3" style="margin-top: 20px; padding: 20px 40px">
<table  class="table ignielPelangi3">
      
    <thead>
      <tr>
            <th colspan="33" align="left">(LAPORAN 3) Laporan Penerimaan Kasir Rawat Inap Tanpa Pemeriksaan, Tindakan, dan Farmasi Ketika Pasien Masih di IGD dan atau Masih di Poli</th></tr>
<tr>             <th colspan="33" align="left">Alias Pemeriksaan, Tindakan, dan Farmasi Ketika di Rawat Inap</th>
      </tr>
      <tr>
            <th></th>
            <th>PERIODE:</th>
            <th colspan="31" style="text-align: left"><?= $objGet->range ?></th>
      </tr>

      <tr>
            <th>NO.</th>
            <th>WAKTU</th>
            <th>MR</th>
            <th>NAMA PASIEN</th>
            <th>TGL DAFTAR/MRS</th>
            <th>TGL MRS</th>
            <th>LAYANAN ASAL</th>
            <th>JAMINAN</th>
	    <th>DPJP</th>
	    <!--
            <th>KODE</th>
            <th>KETERANGAN</th>
	    <th>DOKTER PELAKSANAN</th>
	    <th>LAYANAN</th>
	    <th>JASA SARANA</th>
            <th>JASA PELAYANAN</th>
	    -->

	    <th>TOTAL</th>	    
	    <th>OBAT, ALKES, & BMPH</th>
	    <th>RETUR</th>
	    <th>TOTAL PASCA RETUR</th>
	    	<!--    <th><I>PENDAPATAN PEMBULATAN</th>
	    	     <th><i>TOTAL PASCA RETUR</i></th>-->
	    <th>ADMINISTRASI</th>	    <th>PEMERIKSAAN & TINDAKAN RJ</th>
	    <th>OPERASI RJ</th>
	    <th>PEMERIKSAAN & TINDAKAN IGD</th>
	    <th>OPERASI IGD</th>
	    <th>PEMERIKSAAN & TINDAKAN RI</th>
	    <th>OPERASI RI</th>
	    <th>TINDAKAN KEPERAWATAN DAN KEBIDANAN</th>
	    <th>PAKET BAYI & TRANSFUSI DARAH</th>
	    <th>LABORATORIUM</th>
	    <th>RADIOLOGI</th>
	    <th>DIAGNOSTIK LAIN (PATOLOGI ANATOMI & MIKROLARINGOSKOPI</th>
	    <th>PAKET GIZI</th>
	    <th>SEWA ALAT</th>
	    <th>SEWA KAMAR</th>
	    <th>VISITE</th>
	    <th>VISUM DAN PENANGANAN JENAZAH</th>
	    <th>AMBULANCE</th>
	    
            <th>KETERANGAN</th>
	    <th>NAMA KASIR</th>
      </tr>
    </thead>
    <tbody>
<?php
    $no = 1;
    while($row = $objDbResult->FetchArray())
	
    {
        $objUser = SystemUser::LoadById($row['create_user']);
        $objActivity = ActivityNursing::LoadById($row['patient_nursing_id']);
        $objProduct = HmisRefProduct::LoadById($row['product_id']);
        if($objProduct){
            $valJasaSarana = $objProduct->JasaSarana;
            $valJasaPelayanan = $objProduct->JasaPelayanan;
            $valJasaAdmin = $objProduct->JasaPelayanan * $objProduct->JasaAdmin;
            if($objProduct->RequestServiceToDepartmentId) {
               $objDepartment = SystemDepartment::LoadById($objProduct->RequestServiceToDepartmentId);
            } 
	    else {
		$objDepartment = 0;
	    }
	    // $valJasaSarana = 1;
        }
	// $valJasaSarana = 1;

	// $objPayment = HmisPatientNursingPaymentKediri::LoadByPatientId($row['patient_id']);
	// if($objPayment){
	   // $valCreateTime = $objPayment->CreateTime;
	   // if($objPayment->CreateUser){
	   //   $valCreateUser = SystemUser::LoadById($objPayment->CreateUser);
	   // }
	// }

?>
        <tr>
            <td><?= $no ?></td>
            <td><?=  $row['create_time'] ?></td>
            <td><?= $row['patient_code'] ?></td>
            <td><?= $row['patient_name'] ?></td>
            <td><?= $row['nursing_start_date'] ?></td>
            <td><?= $row['nursing_end_date'] ?></td>
	    <!--
            <td><?= ( $row['patient_name'] != $strLastPatientNama ) ? $row['patient_code'] : '' ?></td>
            <td><?= ( $row['patient_name'] != $strLastPatientNama ) ?  $row['patient_name'] : '' ?></td>
	    -->
	    <td><?= $row['department_name'] ?></td>
            <td><?= $row['contract_service_name'] ?></td>
	    <!--
            <td><?= $objActivity->DoctorName; ?></td>
	    -->
            <td><?= $row['doctor_name'] ?></td>
            <!--
            <td><?= $row['product_code'] ?></td>
            <td><?= $row['product_name'] ?></td>
            -->
	    <?php
	    	$tanggal1=$row['product_name']='PELAYANAN REKAM MEDIK' ? $row['create_time'] : $row['tanggal'] 
	    ?>
            <!--
            <td><?=  $objUser->FullName; ?></td>
            <td><?= $row['tanggal'] ?></td>
	    <td><?= $row['mediator_name'] ?></td>
            <td><?= $objDepartment ? $objDepartment->Name : $row['activity_department_name'] ?></td>
	    <td><?= number_format ($row['current_billing']) ?></td>
	    <td><?= number_format ($row['personal_payment']) ?></td>
            -->
	    <td  align="right"><?=  ($row['billing_current']) ?></td>
	    <td align="right"><?=  ($row['farmasi1']+$row['farmasi2']+$row['farmasi3']+$row['farmasi4']+$row['farmasi5']) ?></td>
	    <td align="right"><?=  ($row['retur']) ?></td>
	    <td align="right"><?=  ($row['tagihan_akhir'])?></td>
	  <!--  <td align="right"><i>
<?php 

$totalharga=ceil(($row['total']-$row['return_value'])/500)*500;
                            
                            echo number_format($totalharga - ($row['total']));
?>	  </i>  
	    </td>
<td align="right"><?=  ($row['tagihan_akhir'])?></td>-->
	    </i></td>
	    <td align="right"><?=  ($row['admin']) ?></td>
	    <td align="right"><?=  ($row['tindakanrj1']+$row['tindakanrj2']+$row['tindakanrj3']+$row['tindakanrj4']) ?></td>
 <td align="right"><?=  ($row['operasirj']) ?></td>	    
<td align="right"><?=  ($row['tindakanigd1']+$row['tindakanigd2']+$row['tindakanigd3']) ?></td>
	   

	    <td align="right"><?=  ($row['operasiigd']) ?></td>	    
	    <td align="right"><?=  ($row['tindakanri1']+$row['tindakanri2']+$row['tindakanri3']) ?></td>
	    <td align="right"><?=  ($row['operasiri']) ?></td>
	    <td align="right"><?=  ($row['perawat']+$row['perawat1']+$row['perawat2']+$row['perawat3']) ?></td>
	    <td align="right"><?=  ($row['paketbayi']) ?></td>
	    <td align="right"><?=  ($row['lab1']+$row['lab2']+$row['lab3']+$row['lab4']) ?></td>
	    <td align="right"><?=  ($row['rad1']+$row['rad2']+$row['rad3']+$row['rad4']) ?></td>
	    <td align="right"><?=  ($row['pa']) ?></td>
	    <td align="right"><?=  ($row['paketgizi']) ?></td>
	    <td align="right"><?=  ($row['sewaalat']) ?></td>
	    <td align="right"><?=  ($row['sewakamar']) ?></td>
	    <td align="right"><?=  ($row['visite']) ?></td>
	    <td align="right"><?=  ($row['visum']) ?></td>
	    <td align="right"><?=  ($row['ambulance']) ?></td>
	     
	    	    
            <?php
		  if($row['is_paid'] == "1"){
		    $status = "Terbayar";
		  }else if($row['is_paid'] == "2"){
		    $status = "Permintaan Refund";
		  }else if($row['is_paid'] == "3"){
		    $status = "Telah Refund";
		  }else if($row['is_paid'] == " "){
		    $status = "Belum Terbayar";
		  }
		 ?>
	    <td><?= $status ?></td>
	    <td><?= $objUser->FullName; ?></td>
        </tr>
<?php
        $strLastPatientNama = $row['patient_name'];
        $no++;
        $totalTotal3 += $row['billing_current'];
        $totalFarmasi3 += $row['farmasi1']+$row['farmasi2']+$row['farmasi3']+$row['farmasi4']+$row['farmasi5'];
        $totalRetur3 += $row['retur'];
        $totalAfterReturn3 += $row['tagihan_akhir'];
        
        $totalAdmin3 += $row['admin'];
        $totaltindakanrj3 += $row['tindakanrj1']+$row['tindakanrj2']+$row['tindakanrj3']+$row['tindakanrj4'];    
        $totaloperasirj3 += $row['operasirj'];
        $totaltindakanigd3 += $row['tindakanigd1']+$row['tindakanigd2']+$row['tindakanigd3'];
        $totaloperasiigd3 += $row['operasiigd'];
        $totaltindakanri3 += $row['tindakanri1']+$row['tindakanri2']+$row['tindakanri3'];    
        $totaloperasiri3 += $row['operasiri'];
        $totalperawat3 += $row['perawat']+$row['perawat1']+$row['perawat2']+$row['perawat3'];
        $totalpaketbayi3 += $row['paketbayi'];
        $totallab3 += $row['lab1']+$row['lab2']+$row['lab3']+$row['lab4'];    
        $totalrad3 += $row['rad1']+$row['rad2']+$row['rad3']+$row['rad4'];
        $totalpa3 += $row['pa'];       
        $totalpaketgizi3 += $row['paketgizi'];
        $totalsewaalat3 += $row['sewaalat'];    
        $totalsewakamar3 += $row['sewakamar'];
        $totalvisite3 += $row['visite'];
        $totalvisum3 += $row['visum'];
        $totalambulance3 += $row['ambulance'];    
       
    }
// }
?>
<tr>
<td colspan='9' align='right'>Total</td>
<td align="right"><?= ($totalTotal3)  ?></td>
<td align="right"><?= ($totalFarmasi3)  ?></td>
<td align="right"><?= ($totalRetur3)  ?></td>
<td align="right"><?= ($totalAfterReturn3)  ?></td>
<!--<td align="right"><?= ($totalAfterReturn3)  ?></td>-->
<td align="right"><?= ($totalAdmin3)  ?></td>
<td align="right"><?= ($totaltindakanrj3)  ?></td>
<td align="right"><?= ($totaloperasirj3)  ?></td>
<td align="right"><?= ($totaltindakanigd3)  ?></td>
<td align="right"><?= ($totaloperasiigd3)  ?></td>
<td align="right"><?= ($totaltindakanri3)  ?></td>
<td align="right"><?= ($totaloperasiri3)  ?></td>
<td align="right"><?= ($totalperawat3)  ?></td>
<td align="right"><?= ($totalpaketbayi3)  ?></td>
<td align="right"><?= ($totallab3)  ?></td><td align="right"><?= ($totalrad3)  ?></td>
<td align="right"><?= ($totalpa3)  ?></td>
<td align="right"><?= ($totalpaketgizi3)  ?></td>
<td align="right"><?= ($totalsewaalat3)  ?></td>
<td align="right"><?= ($totalsewakamar3)  ?></td>
<td align="right"><?= ($totalvisite3)  ?></td>
<td align="right"><?= ($totalvisum3)  ?></td>
<td align="right"><?= ($totalambulance3)  ?></td>

<td colspan="2" style="background:royalblue;">&nbsp;</td>

</tr>

</tbody>
</table>
</div>



<?php
 include_once __DOCROOT__ . __SUBDIRECTORY__ . '/classes/controller/PatientNursingBilling.class.php';
$objGet = System::genObject('get');

list($minDate,$maxDate) = @explode(' - ',$objGet->range);
list($minDay,$minMonth,$minYear) = @explode('.',$minDate);
list($maxDay,$maxMonth,$maxYear) = @explode('.',$maxDate);



$objMinDate = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMaxDate = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');

// if($objGet->nursing_category) {
   // $SQLWhereContractService .= " AND activity_nursing.nursing_category = '".$objGet->nursing_category."' ";
// }

// if($objGet->contract_service){
   // $SQLWhereContractService .= " AND activity_nursing.contract_service_id = '".$objGet->contract_service."' ";
// }

$objDb = QApplication::$Database[1];
        $strSQL = "
        SELECT 
                hmis_patient_nursing_adm_billing.patient_nursing_id,
		hmis_patient_nursing_adm_billing.patient_code,
		hmis_patient_nursing_adm_billing.patient_name,
                hmis_patient_nursing_adm_billing.patient_department_name,
                hmis_patient_nursing_adm_billing.product_id,
                hmis_patient_nursing_adm_billing.product_name,
                hmis_patient_nursing_adm_billing.product_code,
                substring(hmis_patient_nursing_adm_billing.billing_group,1,3) AS billing_group ,
		hmis_patient_nursing_adm_billing.activity_department_name,
		hmis_patient_nursing_adm_billing.profile,
		convert_to_json(hmis_patient_nursing_adm_billing.profile)->>'Tanggal' AS tanggal,
		hmis_patient_nursing_adm_billing.personal_payment,
		hmis_patient_nursing_adm_billing.contract_service_name,
		hmis_patient_nursing_adm_billing.current_billing,
		hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.create_time,
                hmis_patient_nursing_payment_kediri.activity_on_partition,
                hmis_patient_nursing_payment_kediri.is_paid,
		hmis_patient_nursing_adm_billing.mediator_name,
		hmis_patient_nursing_adm_billing.personal_payment,
			hmis_patient_nursing_payment_kediri.billing_current,
	hmis_patient_nursing_payment_kediri.tagihan_akhir,

		
		
 activity_nursing_adm_billing.patient_nursing_id,
		activity_nursing_adm_billing.patient_code,
		activity_nursing_adm_billing.patient_name,
                activity_nursing_adm_billing.patient_department_name,
                activity_nursing_adm_billing.product_id,
                activity_nursing_adm_billing.product_name,
                activity_nursing_adm_billing.product_code,
                substring(activity_nursing_adm_billing.billing_group,1,3) AS billing_group ,
		activity_nursing_adm_billing.activity_department_name,
		activity_nursing_adm_billing.profile,
		convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' AS tanggal,
		activity_nursing_adm_billing.personal_payment,
		activity_nursing_adm_billing.contract_service_name,
		activity_nursing_adm_billing.current_billing,
		hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.create_time,
                hmis_patient_nursing_payment_kediri.activity_on_partition,
                hmis_patient_nursing_payment_kediri.is_paid,
                hmis_patient_nursing_payment_kediri.payment_category,
                hmis_patient_nursing_payment_kediri.nursing_category,
		activity_nursing_adm_billing.mediator_name,
		activity_nursing.doctor_name,
		activity_nursing_adm_billing.personal_payment		
		
		
    
        FROM
            hmis_patient_nursing_adm_billing LEFT JOIN hmis_patient_nursing_payment_kediri ON 
	    hmis_patient_nursing_payment_kediri.payment_cashier = hmis_patient_nursing_adm_billing.personal_payment_activity_id




	WHERE
	    hmis_patient_nursing_adm_billing.state = 'A'
	    -- AND ( COALESCE ( convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' , activity_nursing_adm_billing.create_time::TEXT)::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
            AND ( hmis_patient_nursing_payment_kediri.create_time::TEXT::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
	    AND hmis_patient_nursing_payment_kediri.is_paid='1' 	    AND hmis_patient_nursing_payment_kediri.payment_category='tunai' 
and hmis_patient_nursing_payment_kediri.nursing_category='3'
and hmis_patient_nursing_adm_billing.patient_department_name  like '%IGD%'
            -- $SQLWhereContractService
        ORDER BY hmis_patient_nursing_payment_kediri.create_time ASC
        ";

        $strSQL = "
	SELECT
	hmis_patient_nursing_adm_billing.patient_code,
	hmis_patient_nursing_adm_billing.contract_service_name,
	hmis_patient_nursing_adm_billing.patient_department_name,
	hmis_patient_nursing.department_name,
	hmis_patient_nursing.full_name AS patient_name,
	hmis_patient_nursing.doctor_name,
	hmis_patient_nursing.nursing_start_date,
	hmis_patient_nursing.nursing_end_date,
	hmis_patient_nursing_payment_kediri.create_user,
	hmis_patient_nursing_payment_kediri.create_time,
	hmis_patient_nursing_payment_kediri.activity_on_partition,
	hmis_patient_nursing_payment_kediri.is_paid,                hmis_patient_nursing_payment_kediri.nursing_category,
	hmis_patient_nursing_payment_kediri.retur,
	hmis_patient_nursing_payment_kediri.billing_current,
	hmis_patient_nursing_payment_kediri.tagihan_akhir,

	SUM(CASE WHEN hmis_ref_product.id IS NOT NULL THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS total,
	SUM(CASE WHEN hmis_ref_product.billing_group='9' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS admin,
	
	SUM(CASE WHEN hmis_ref_product.billing_group='1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi1,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi2,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi3,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi4,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.0' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi5,
	SUM(CASE WHEN hmis_ref_product.billing_group='2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj4,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasirj,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasiigd,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasiri,
	SUM(CASE WHEN hmis_ref_product.billing_group='3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat1,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat2,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat3,
	SUM(CASE WHEN hmis_ref_product.billing_group='4' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS paketbayi,
	SUM(CASE WHEN hmis_ref_product.billing_group='4.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab1,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab2,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab3,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab4,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad1,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad2,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad3,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad4,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS pa,
        SUM(CASE WHEN hmis_ref_product.billing_group='5' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS paketgizi,
        SUM(CASE WHEN hmis_ref_product.billing_group='6' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS sewaalat,
        SUM(CASE WHEN hmis_ref_product.billing_group='7' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS sewakamar,
	SUM(CASE WHEN hmis_ref_product.billing_group='8' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS visite,
	SUM(CASE WHEN hmis_ref_product.billing_group='8.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS visum,
	SUM(CASE WHEN hmis_ref_product.billing_group='8.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS ambulance,



	SUM(CASE WHEN hmis_ref_product.billing_group='134' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS oksigen,
	SUM(CASE WHEN hmis_ref_product.billing_group='135' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS ash_prwt,
		SUM(CASE WHEN hmis_ref_product.billing_group ='132' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab,
	SUM(CASE WHEN hmis_ref_product.billing_group='136' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS minibar

--SUM(CASE WHEN (CASE WHEN hmis_patient_nursing_adm_billing.activity_department_name ISNULL
			   --OR UPPER(hmis_patient_nursing_adm_billing.activity_department_name) LIKE '%KASIR%'
--THEN UPPER(hmis_patient_nursing.department_name)
--ELSE UPPER(hmis_patient_nursing_adm_billing.activity_department_name)
--END) LIKE '%LAB%' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab,

	--SUM(CASE WHEN (CASE WHEN hmis_patient_nursing_adm_billing.activity_department_name ISNULL
	--			   OR UPPER(hmis_patient_nursing_adm_billing.activity_department_name) LIKE '%KASIR%'
--	THEN UPPER(hmis_patient_nursing.department_name)
--	ELSE UPPER(hmis_patient_nursing_adm_billing.billing_group)
--	END) ='1'   THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi
	
	
	FROM
	hmis_patient_nursing_adm_billing 
	LEFT JOIN hmis_patient_nursing_payment_kediri ON
	hmis_patient_nursing_payment_kediri.payment_cashier = hmis_patient_nursing_adm_billing.personal_payment_activity_id
	OR hmis_patient_nursing_payment_kediri.payment_non_cash = hmis_patient_nursing_adm_billing.personal_payment_activity_id
	LEFT JOIN hmis_ref_product ON
	hmis_patient_nursing_adm_billing.product_id = hmis_ref_product.id
	LEFT JOIN system_department ON
	hmis_ref_product.request_service_to_department_id = system_department.id 
	LEFT JOIN activity ON
	hmis_patient_nursing_adm_billing.activity_id = activity.id
	LEFT JOIN hmis_ref_patient ON
	hmis_patient_nursing_adm_billing.patient_id = hmis_ref_patient.id
	LEFT JOIN hmis_patient_nursing ON
	hmis_patient_nursing_adm_billing.patient_nursing_id = hmis_patient_nursing.id

	WHERE
	    hmis_patient_nursing_adm_billing.state = 'A'
	    -- AND ( COALESCE ( convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' , activity_nursing_adm_billing.create_time::TEXT)::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
AND	    hmis_patient_nursing_adm_billing.patient_department_name like '%IGD%'
            AND ( hmis_patient_nursing_payment_kediri.create_time::TEXT::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
	    	    AND hmis_patient_nursing_payment_kediri.is_paid='1' AND hmis_patient_nursing_payment_kediri.payment_category='tunai' 
and hmis_patient_nursing_payment_kediri.nursing_category='3'
            -- $SQLWhereContractService

	group by
	hmis_patient_nursing_adm_billing.patient_code,
		hmis_patient_nursing_payment_kediri.billing_current,
	hmis_patient_nursing_payment_kediri.tagihan_akhir,

	hmis_patient_nursing_adm_billing.contract_service_name,
	hmis_patient_nursing_adm_billing.patient_department_name,
	hmis_patient_nursing.department_name,                hmis_patient_nursing_payment_kediri.nursing_category,
	hmis_ref_patient.full_name,
	hmis_patient_nursing.full_name,
	hmis_patient_nursing.doctor_name,
	hmis_patient_nursing.nursing_start_date,
	hmis_patient_nursing.nursing_end_date,
	hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.retur,
	hmis_patient_nursing_payment_kediri.create_time,
	hmis_patient_nursing_payment_kediri.activity_on_partition,
	hmis_patient_nursing_payment_kediri.is_paid ,  hmis_patient_nursing_payment_kediri.payment_category 
	ORDER BY hmis_patient_nursing_adm_billing.patient_department_name ASC
        ";

$test = str_replace("\n", '<BR />', $strSQL);
//echo $test;
//exit;        
$objDbResult = $objDb->Query($strSQL);


if($objGet->excel == 'excel'){
  header("Content-type: application/vnd-ms-excel");
  header("Content-Disposition: attachment; filename=laporan penerimaan kasir.xls");
}
$objUser = SystemUser::LoadById($objHmisPatientNursingAdmBilling->CreateUser);
$objProduct = HmisRefProduct::LoadById($objHmisPatientNursingAdmBilling->ProductName);             

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>PENERIMAAN KASIR </title>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
<style>

.table {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
  font-size: 11px;
}

.table td, .table th {
  border: 1px solid #ddd;
  padding: 8px;
}

.table tr:nth-child(even){background-color: brown;}

.table tr:hover {background-color: lime;}

.table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: brown;
  color: yellow;
}

@media print{
  .table th {
    background-color: white;
    color: black;
  }
  .noprint{
    display: none;
  }
}

    </style>
</head>

<body>




<div class="container ignielPelangi3" style="margin-top: 20px; padding: 20px 40px">
<table  class="table ignielPelangi3">
      
    <thead>
      <tr>
            <th colspan="30" align="left">(LAPORAN 4) Laporan Penerimaan Kasir Rawat Inap Khusus  Ketika Pasien Masih di IGD, dimana Laporan 4 ini tidak bisa dijadikan satu dengan LAPORAN 3 di atas karena pasien yang ada di LAPORAN 3 pada dasarnya berasal dari pasien IGD yang kuitansinya jadi satu dengan kuitansi rawat inap</th>
   
      </tr>
      <tr>
            <th></th>
            <th>PERIODE:</th>
            <th colspan="28" style="text-align: left"><?= $objGet->range ?></th>
      </tr>

      <tr>
            <th>NO.</th>
            <th>WAKTU</th>
            <th>MR</th>
            <th>NAMA PASIEN</th>
            <th>TGL DAFTAR/MRS</th>
            <th>TGL KELUAR/KRS</th>
            <th>LAYANAN ASAL</th>
            <th>JAMINAN</th>
	    <th>DPJP</th>
	    <!--
            <th>KODE</th>
            <th>KETERANGAN</th>
	    <th>DOKTER PELAKSANAN</th>
	    <th>LAYANAN</th>
	    <th>JASA SARANA</th>
            <th>JASA PELAYANAN</th>
	    -->

<!--	    <th>TOTAL</th>	    -->
	    <th>OBAT, ALKES, & BMPH</th>
<!--	    <th>RETUR</th>-->
<!--	    <th>TOTAL PASCA RETUR</th>-->
	    	<!--    <th><I>PENDAPATAN PEMBULATAN</th>
	    	     <th><i>TOTAL PASCA RETUR</i></th>-->
	    <th>ADMINISTRASI</th>	    <th>PEMERIKSAAN & TINDAKAN RJ</th>
	    <th>OPERASI RJ</th>
	    <th>PEMERIKSAAN & TINDAKAN IGD</th>
	    <th>OPERASI IGD</th>
	    <th>PEMERIKSAAN & TINDAKAN RI</th>
	    <th>OPERASI RI</th>
	    <th>TINDAKAN KEPERAWATAN DAN KEBIDANAN</th>
	    <th>PAKET BAYI & TRANSFUSI DARAH</th>
	    <th>LABORATORIUM</th>
	    <th>RADIOLOGI</th>
	    <th>DIAGNOSTIK LAIN (PATOLOGI ANATOMI & MIKROLARINGOSKOPI</th>
	    <th>PAKET GIZI</th>
	    <th>SEWA ALAT</th>
	    <th>SEWA KAMAR</th>
	    <th>VISITE</th>
	    <th>VISUM DAN PENANGANAN JENAZAH</th>
	    <th>AMBULANCE</th>
	    
            <th>KETERANGAN</th>
	    <th>NAMA KASIR</th>
      </tr>
    </thead>
    <tbody>
<?php
    $no = 1;
    while($row = $objDbResult->FetchArray())
	
    {
        $objUser = SystemUser::LoadById($row['create_user']);
        $objActivity = ActivityNursing::LoadById($row['patient_nursing_id']);
        $objProduct = HmisRefProduct::LoadById($row['product_id']);
        if($objProduct){
            $valJasaSarana = $objProduct->JasaSarana;
            $valJasaPelayanan = $objProduct->JasaPelayanan;
            $valJasaAdmin = $objProduct->JasaPelayanan * $objProduct->JasaAdmin;
            if($objProduct->RequestServiceToDepartmentId) {
               $objDepartment = SystemDepartment::LoadById($objProduct->RequestServiceToDepartmentId);
            } 
	    else {
		$objDepartment = 0;
	    }
	    // $valJasaSarana = 1;
        }
	// $valJasaSarana = 1;

	// $objPayment = HmisPatientNursingPaymentKediri::LoadByPatientId($row['patient_id']);
	// if($objPayment){
	   // $valCreateTime = $objPayment->CreateTime;
	   // if($objPayment->CreateUser){
	   //   $valCreateUser = SystemUser::LoadById($objPayment->CreateUser);
	   // }
	// }

?>
        <tr>
            <td><?= $no ?></td>
            <td><?=  $row['create_time'] ?></td>
            <td><?= $row['patient_code'] ?></td>
            <td><?= $row['patient_name'] ?></td>
            <td><?= $row['nursing_start_date'] ?></td>
            <td><?= $row['nursing_end_date'] ?></td>
	    <!--
            <td><?= ( $row['patient_name'] != $strLastPatientNama ) ? $row['patient_code'] : '' ?></td>
            <td><?= ( $row['patient_name'] != $strLastPatientNama ) ?  $row['patient_name'] : '' ?></td>
	    -->
	    <td><?= $row['department_name'] ?></td>
            <td><?= $row['contract_service_name'] ?></td>
	    <!--
            <td><?= $objActivity->DoctorName; ?></td>
	    -->
            <td><?= $row['doctor_name'] ?></td>
            <!--
            <td><?= $row['product_code'] ?></td>
            <td><?= $row['product_name'] ?></td>
            -->
	    <?php
	    	$tanggal1=$row['product_name']='PELAYANAN REKAM MEDIK' ? $row['create_time'] : $row['tanggal'] 
	    ?>
            <!--
            <td><?=  $objUser->FullName; ?></td>
            <td><?= $row['tanggal'] ?></td>
	    <td><?= $row['mediator_name'] ?></td>
            <td><?= $objDepartment ? $objDepartment->Name : $row['activity_department_name'] ?></td>
	    <td><?= number_format ($row['current_billing']) ?></td>
	    <td><?= number_format ($row['personal_payment']) ?></td>
            
	    <td  align="right"><?=  ($row['billing_current']) ?></td>-->
	    <td align="right"><?=  ($row['farmasi1']+$row['farmasi2']+$row['farmasi3']+$row['farmasi4']+$row['farmasi5']) ?></td>
	   <!-- <td align="right"><?=  ($row['retur']) ?></td>
	    <td align="right"><?=  ($row['tagihan_akhir'])?></td>-->
	  <!--  <td align="right"><i>
<?php 

$totalharga=ceil(($row['total']-$row['return_value'])/500)*500;
                            
                            echo number_format($totalharga - ($row['total']));
?>	  </i>  
	    </td>
<td align="right"><?=  ($row['tagihan_akhir'])?></td>-->
	    </i></td>
	    <td align="right"><?=  ($row['admin']) ?></td>
	    <td align="right"><?=  ($row['tindakanrj1']+$row['tindakanrj2']+$row['tindakanrj3']+$row['tindakanrj4']) ?></td>
	    <td align="right"><?=  ($row['operasirj']) ?></td>
<td align="right"><?=  ($row['tindakanigd1']+$row['tindakanigd2']+$row['tindakanigd3']) ?></td>
	    <td align="right"><?=  ($row['operasiigd']) ?></td>	    
	    <td align="right"><?=  ($row['tindakanri1']+$row['tindakanri2']+$row['tindakanri3']) ?></td>
	    <td align="right"><?=  ($row['operasiri']) ?></td>
	    <td align="right"><?=  ($row['perawat']+$row['perawat1']+$row['perawat2']+$row['perawat3']) ?></td>
	    <td align="right"><?=  ($row['paketbayi']) ?></td>
	    <td align="right"><?=  ($row['lab1']+$row['lab2']+$row['lab3']+$row['lab4']) ?></td>
	    <td align="right"><?=  ($row['rad1']+$row['rad2']+$row['rad3']+$row['rad4']) ?></td>
	    <td align="right"><?=  ($row['pa']) ?></td>
	    <td align="right"><?=  ($row['paketgizi']) ?></td>
	    <td align="right"><?=  ($row['sewaalat']) ?></td>
	    <td align="right"><?=  ($row['sewakamar']) ?></td>
	    <td align="right"><?=  ($row['visite']) ?></td>
	    <td align="right"><?=  ($row['visum']) ?></td>
	    <td align="right"><?=  ($row['ambulance']) ?></td>
	     
	    	    
            <?php
		  if($row['is_paid'] == "1"){
		    $status = "Terbayar";
		  }else if($row['is_paid'] == "2"){
		    $status = "Permintaan Refund";
		  }else if($row['is_paid'] == "3"){
		    $status = "Telah Refund";
		  }else if($row['is_paid'] == " "){
		    $status = "Belum Terbayar";
		  }
		 ?>
	    <td><?= $status ?></td>
	    <td><?= $objUser->FullName; ?></td>
        </tr>
<?php
        $strLastPatientNama = $row['patient_name'];
        $no++;
        $totalTotal4 += $row['billing_current'];
        $totalFarmasi4 += $row['farmasi1']+$row['farmasi2']+$row['farmasi3']+$row['farmasi4']+$row['farmasi5'];
        $totalRetur4 += $row['retur'];
        $totalAfterReturn4 += $row['tagihan_akhir'];
        
        $totalAdmin4 += $row['admin'];
        $totaltindakanrj4 += $row['tindakanrj1']+$row['tindakanrj2']+$row['tindakanrj3']+$row['tindakanrj4'];    
        $totaloperasirj4 += $row['operasirj'];
        $totaltindakanigd4 += $row['tindakanigd1']+$row['tindakanigd2']+$row['tindakanigd3'];
        $totaloperasiigd4 += $row['operasiigd'];
        $totaltindakanri4 += $row['tindakanri1']+$row['tindakanri2']+$row['tindakanri3'];    
        $totaloperasiri4 += $row['operasiri'];
        $totalperawat4 += $row['perawat']+$row['perawat1']+$row['perawat2']+$row['perawat3'];
        $totalpaketbayi4 += $row['paketbayi'];
        $totallab4 += $row['lab1']+$row['lab2']+$row['lab3']+$row['lab4'];    
        $totalrad4 += $row['rad1']+$row['rad2']+$row['rad3']+$row['rad4'];
        $totalpa4 += $row['pa'];       
        $totalpaketgizi4 += $row['paketgizi'];
        $totalsewaalat4 += $row['sewaalat'];    
        $totalsewakamar4 += $row['sewakamar'];
        $totalvisite4 += $row['visite'];
        $totalvisum4 += $row['visum'];
        $totalambulance4 += $row['ambulance'];    
       
    }
// }
?>
<tr>
<td colspan='9' align='right'>Total</td>
<td align="right"><?= ($totalFarmasi4)  ?></td>
<td align="right"><?= ($totalAdmin4)  ?></td>
<td align="right"><?= ($totaltindakanrj4)  ?></td>
<td align="right"><?= ($totaloperasirj4)  ?></td>
<td align="right"><?= ($totaltindakanigd4)  ?></td>
<td align="right"><?= ($totaloperasiigd4)  ?></td>
<td align="right"><?= ($totaltindakanri4)  ?></td>
<td align="right"><?= ($totaloperasiri4)  ?></td>
<td align="right"><?= ($totalperawat4)  ?></td>
<td align="right"><?= ($totalpaketbayi4)  ?></td>
<td align="right"><?= ($totallab4)  ?></td>
<td align="right"><?= ($totalrad4)  ?></td>
<td align="right"><?= ($totalpa4)  ?></td>
<td align="right"><?= ($totalpaketgizi4)  ?></td>
<td align="right"><?= ($totalsewaalat4)  ?></td>
<td align="right"><?= ($totalsewakamar4)  ?></td>
<td align="right"><?= ($totalvisite4)  ?></td>
<td align="right"><?= ($totalvisum4)  ?></td>
<td align="right"><?= ($totalambulance4)  ?></td>

<td colspan="2" style="background:royalblue;">&nbsp;</td>

</tr>

</tbody>
</table>
</div>

<?php
 include_once __DOCROOT__ . __SUBDIRECTORY__ . '/classes/controller/PatientNursingBilling.class.php';
$objGet = System::genObject('get');

list($minDate,$maxDate) = @explode(' - ',$objGet->range);
list($minDay,$minMonth,$minYear) = @explode('.',$minDate);
list($maxDay,$maxMonth,$maxYear) = @explode('.',$maxDate);



$objMinDate = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMaxDate = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');

// if($objGet->nursing_category) {
   // $SQLWhereContractService .= " AND activity_nursing.nursing_category = '".$objGet->nursing_category."' ";
// }

// if($objGet->contract_service){
   // $SQLWhereContractService .= " AND activity_nursing.contract_service_id = '".$objGet->contract_service."' ";
// }

$objDb = QApplication::$Database[1];
        $strSQL = "
        SELECT 
                hmis_patient_nursing_adm_billing.patient_nursing_id,
		hmis_patient_nursing_adm_billing.patient_code,
		hmis_patient_nursing_adm_billing.patient_name,
                hmis_patient_nursing_adm_billing.patient_department_name,
                hmis_patient_nursing_adm_billing.product_id,
                hmis_patient_nursing_adm_billing.product_name,
                hmis_patient_nursing_adm_billing.product_code,
                substring(hmis_patient_nursing_adm_billing.billing_group,1,3) AS billing_group ,
		hmis_patient_nursing_adm_billing.activity_department_name,
		hmis_patient_nursing_adm_billing.profile,
		convert_to_json(hmis_patient_nursing_adm_billing.profile)->>'Tanggal' AS tanggal,
		hmis_patient_nursing_adm_billing.personal_payment,
		hmis_patient_nursing_adm_billing.contract_service_name,
		hmis_patient_nursing_adm_billing.current_billing,
		hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.create_time,
                hmis_patient_nursing_payment_kediri.activity_on_partition,
                hmis_patient_nursing_payment_kediri.is_paid,
		hmis_patient_nursing_adm_billing.mediator_name,
		hmis_patient_nursing_adm_billing.personal_payment,
			hmis_patient_nursing_payment_kediri.billing_current,
	hmis_patient_nursing_payment_kediri.tagihan_akhir,

		
		
 activity_nursing_adm_billing.patient_nursing_id,
		activity_nursing_adm_billing.patient_code,
		activity_nursing_adm_billing.patient_name,
                activity_nursing_adm_billing.patient_department_name,
                activity_nursing_adm_billing.product_id,
                activity_nursing_adm_billing.product_name,
                activity_nursing_adm_billing.product_code,
                substring(activity_nursing_adm_billing.billing_group,1,3) AS billing_group ,
		activity_nursing_adm_billing.activity_department_name,
		activity_nursing_adm_billing.profile,
		convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' AS tanggal,
		activity_nursing_adm_billing.personal_payment,
		activity_nursing_adm_billing.contract_service_name,
		activity_nursing_adm_billing.current_billing,
		hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.create_time,
                hmis_patient_nursing_payment_kediri.activity_on_partition,
                hmis_patient_nursing_payment_kediri.is_paid,
                hmis_patient_nursing_payment_kediri.payment_category,
                hmis_patient_nursing_payment_kediri.nursing_category,
		activity_nursing_adm_billing.mediator_name,
		activity_nursing.doctor_name,
		activity_nursing_adm_billing.personal_payment		
		
		
    
        FROM
            hmis_patient_nursing_adm_billing LEFT JOIN hmis_patient_nursing_payment_kediri ON 
	    hmis_patient_nursing_payment_kediri.payment_cashier = hmis_patient_nursing_adm_billing.personal_payment_activity_id




	WHERE
	    hmis_patient_nursing_adm_billing.state = 'A'
	    -- AND ( COALESCE ( convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' , activity_nursing_adm_billing.create_time::TEXT)::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
            AND ( hmis_patient_nursing_payment_kediri.create_time::TEXT::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
	    AND hmis_patient_nursing_payment_kediri.is_paid='1' 	    AND hmis_patient_nursing_payment_kediri.payment_category='tunai' 
and hmis_patient_nursing_payment_kediri.nursing_category='3'
and hmis_patient_nursing_adm_billing.patient_department_name not like '%RUANG%'
and hmis_patient_nursing_adm_billing.patient_department_name not like '%IGD%'
            -- $SQLWhereContractService
        ORDER BY hmis_patient_nursing_payment_kediri.create_time ASC
        ";

        $strSQL = "
	SELECT
	hmis_patient_nursing_adm_billing.patient_code,
	hmis_patient_nursing_adm_billing.contract_service_name,
	hmis_patient_nursing_adm_billing.patient_department_name,
	hmis_patient_nursing.department_name,
	hmis_patient_nursing.full_name AS patient_name,
	hmis_patient_nursing.doctor_name,
	hmis_patient_nursing.nursing_start_date,
	hmis_patient_nursing.nursing_end_date,
	hmis_patient_nursing_payment_kediri.create_user,
	hmis_patient_nursing_payment_kediri.create_time,
	hmis_patient_nursing_payment_kediri.activity_on_partition,
	hmis_patient_nursing_payment_kediri.is_paid,                hmis_patient_nursing_payment_kediri.nursing_category,
	hmis_patient_nursing_payment_kediri.retur,
	hmis_patient_nursing_payment_kediri.billing_current,
	hmis_patient_nursing_payment_kediri.tagihan_akhir,

	SUM(CASE WHEN hmis_ref_product.id IS NOT NULL THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS total,
	SUM(CASE WHEN hmis_ref_product.billing_group='9' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS admin,
	
	SUM(CASE WHEN hmis_ref_product.billing_group='1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi1,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi2,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi3,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi4,
	SUM(CASE WHEN hmis_ref_product.billing_group='1.0' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi5,
	SUM(CASE WHEN hmis_ref_product.billing_group='2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanrj4,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasirj,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanigd3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasiigd,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri1,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri2,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS tindakanri3,
	SUM(CASE WHEN hmis_ref_product.billing_group='2.3.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS operasiri,
	SUM(CASE WHEN hmis_ref_product.billing_group='3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat1,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat2,
	SUM(CASE WHEN hmis_ref_product.billing_group='3.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS perawat3,
	SUM(CASE WHEN hmis_ref_product.billing_group='4' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS paketbayi,
	SUM(CASE WHEN hmis_ref_product.billing_group='4.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab1,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab2,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab3,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.1.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab4,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad1,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad2,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad3,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.2.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS rad4,
        SUM(CASE WHEN hmis_ref_product.billing_group='4.3' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS pa,
        SUM(CASE WHEN hmis_ref_product.billing_group='5' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS paketgizi,
        SUM(CASE WHEN hmis_ref_product.billing_group='6' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS sewaalat,
        SUM(CASE WHEN hmis_ref_product.billing_group='7' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS sewakamar,
	SUM(CASE WHEN hmis_ref_product.billing_group='8' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS visite,
	SUM(CASE WHEN hmis_ref_product.billing_group='8.1' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS visum,
	SUM(CASE WHEN hmis_ref_product.billing_group='8.2' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS ambulance,



	SUM(CASE WHEN hmis_ref_product.billing_group='134' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS oksigen,
	SUM(CASE WHEN hmis_ref_product.billing_group='135' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS ash_prwt,
		SUM(CASE WHEN hmis_ref_product.billing_group ='132' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab,
	SUM(CASE WHEN hmis_ref_product.billing_group='136' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS minibar

--SUM(CASE WHEN (CASE WHEN hmis_patient_nursing_adm_billing.activity_department_name ISNULL
			   --OR UPPER(hmis_patient_nursing_adm_billing.activity_department_name) LIKE '%KASIR%'
--THEN UPPER(hmis_patient_nursing.department_name)
--ELSE UPPER(hmis_patient_nursing_adm_billing.activity_department_name)
--END) LIKE '%LAB%' THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS lab,

	--SUM(CASE WHEN (CASE WHEN hmis_patient_nursing_adm_billing.activity_department_name ISNULL
	--			   OR UPPER(hmis_patient_nursing_adm_billing.activity_department_name) LIKE '%KASIR%'
--	THEN UPPER(hmis_patient_nursing.department_name)
--	ELSE UPPER(hmis_patient_nursing_adm_billing.billing_group)
--	END) ='1'   THEN hmis_patient_nursing_adm_billing.personal_payment ELSE 0 END) AS farmasi
	
	
	FROM
	hmis_patient_nursing_adm_billing 
	LEFT JOIN hmis_patient_nursing_payment_kediri ON
	hmis_patient_nursing_payment_kediri.payment_cashier = hmis_patient_nursing_adm_billing.personal_payment_activity_id
	OR hmis_patient_nursing_payment_kediri.payment_non_cash = hmis_patient_nursing_adm_billing.personal_payment_activity_id
	LEFT JOIN hmis_ref_product ON
	hmis_patient_nursing_adm_billing.product_id = hmis_ref_product.id
	LEFT JOIN system_department ON
	hmis_ref_product.request_service_to_department_id = system_department.id 
	LEFT JOIN activity ON
	hmis_patient_nursing_adm_billing.activity_id = activity.id
	LEFT JOIN hmis_ref_patient ON
	hmis_patient_nursing_adm_billing.patient_id = hmis_ref_patient.id
	LEFT JOIN hmis_patient_nursing ON
	hmis_patient_nursing_adm_billing.patient_nursing_id = hmis_patient_nursing.id

	WHERE
	    hmis_patient_nursing_adm_billing.state = 'A'
	    -- AND ( COALESCE ( convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' , activity_nursing_adm_billing.create_time::TEXT)::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
AND	    hmis_patient_nursing_adm_billing.patient_department_name not like '%IGD%'
            AND ( hmis_patient_nursing_payment_kediri.create_time::TEXT::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
	    	    AND hmis_patient_nursing_payment_kediri.is_paid='1' AND hmis_patient_nursing_payment_kediri.payment_category='tunai' 
and hmis_patient_nursing_payment_kediri.nursing_category='3'
and hmis_patient_nursing_adm_billing.patient_department_name not like '%RUANG%'
and hmis_patient_nursing_adm_billing.patient_department_name not like '%IGD%'

            -- $SQLWhereContractService

	group by
	hmis_patient_nursing_adm_billing.patient_code,
		hmis_patient_nursing_payment_kediri.billing_current,
	hmis_patient_nursing_payment_kediri.tagihan_akhir,

	hmis_patient_nursing_adm_billing.contract_service_name,
	hmis_patient_nursing_adm_billing.patient_department_name,
	hmis_patient_nursing.department_name,                hmis_patient_nursing_payment_kediri.nursing_category,
	hmis_ref_patient.full_name,
	hmis_patient_nursing.full_name,
	hmis_patient_nursing.doctor_name,
	hmis_patient_nursing.nursing_start_date,
	hmis_patient_nursing.nursing_end_date,
	hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.retur,
	hmis_patient_nursing_payment_kediri.create_time,
	hmis_patient_nursing_payment_kediri.activity_on_partition,
	hmis_patient_nursing_payment_kediri.is_paid ,  hmis_patient_nursing_payment_kediri.payment_category 
	ORDER BY hmis_patient_nursing_adm_billing.patient_department_name ASC
        ";

$test = str_replace("\n", '<BR />', $strSQL);
//echo $test;
//exit;        
$objDbResult = $objDb->Query($strSQL);


if($objGet->excel == 'excel'){
  header("Content-type: application/vnd-ms-excel");
  header("Content-Disposition: attachment; filename=laporan penerimaan kasir.xls");
}
$objUser = SystemUser::LoadById($objHmisPatientNursingAdmBilling->CreateUser);
$objProduct = HmisRefProduct::LoadById($objHmisPatientNursingAdmBilling->ProductName);             

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>PENERIMAAN KASIR </title>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
<style>

.table {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
  font-size: 11px;
}

.table td, .table th {
  border: 1px solid #ddd;
  padding: 8px;
}

.table tr:nth-child(even){background-color: brown;}

.table tr:hover {background-color: lime;}

.table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: brown;
  color: yellow;
}

@media print{
  .table th {
    background-color: white;
    color: black;
  }
  .noprint{
    display: none;
  }
}

    </style>
</head>

<body>




<div class="container ignielPelangi3" style="margin-top: 20px; padding: 20px 40px">
<table  class="table ignielPelangi3">
      
   <thead>
      <tr>
            <th colspan="30" align="left">(LAPORAN 5) Laporan Penerimaan Kasir Rawat Inap Khusus  Ketika Pasien Masih di Poli, dimana Laporan 5 ini tidak bisa dijadikan satu dengan LAPORAN 3 di atas karena pasien yang ada di LAPORAN 3 pada dasarnya berasal dari pasien Poli dan atau pasien IGD yang kuitansinya jadi satu dengan kuitansi rawat inap</th>
   
      </tr>
      <tr>
            <th></th>
            <th>PERIODE:</th>
            <th colspan="28" style="text-align: left"><?= $objGet->range ?></th>
      </tr>

      <tr>
            <th>NO.</th>
            <th>WAKTU</th>
            <th>MR</th>
            <th>NAMA PASIEN</th>
            <th>TGL DAFTAR/MRS</th>
            <th>TGL KELUAR/KRS</th>
            <th>LAYANAN ASAL</th>
            <th>JAMINAN</th>
	    <th>DPJP</th>
	    <!--
            <th>KODE</th>
            <th>KETERANGAN</th>
	    <th>DOKTER PELAKSANAN</th>
	    <th>LAYANAN</th>
	    <th>JASA SARANA</th>
            <th>JASA PELAYANAN</th>
	    -->

<!--	    <th>TOTAL</th>	    -->
	    <th>OBAT, ALKES, & BMPH</th>
<!--	    <th>RETUR</th>-->
<!--	    <th>TOTAL PASCA RETUR</th>-->
	    	<!--    <th><I>PENDAPATAN PEMBULATAN</th>
	    	     <th><i>TOTAL PASCA RETUR</i></th>-->
	    <th>ADMINISTRASI</th>	    <th>PEMERIKSAAN & TINDAKAN RJ</th>
	    <th>OPERASI RJ</th>
	    <th>PEMERIKSAAN & TINDAKAN IGD</th>
	    <th>OPERASI IGD</th>
	    <th>PEMERIKSAAN & TINDAKAN RI</th>
	    <th>OPERASI RI</th>
	    <th>TINDAKAN KEPERAWATAN DAN KEBIDANAN</th>
	    <th>PAKET BAYI & TRANSFUSI DARAH</th>
	    <th>LABORATORIUM</th>
	    <th>RADIOLOGI</th>
	    <th>DIAGNOSTIK LAIN (PATOLOGI ANATOMI & MIKROLARINGOSKOPI</th>
	    <th>PAKET GIZI</th>
	    <th>SEWA ALAT</th>
	    <th>SEWA KAMAR</th>
	    <th>VISITE</th>
	    <th>VISUM DAN PENANGANAN JENAZAH</th>
	    <th>AMBULANCE</th>
	    
            <th>KETERANGAN</th>
	    <th>NAMA KASIR</th>
      </tr>
    </thead>
    <tbody>
<?php
    $no = 1;
    while($row = $objDbResult->FetchArray())
	
    {
        $objUser = SystemUser::LoadById($row['create_user']);
        $objActivity = ActivityNursing::LoadById($row['patient_nursing_id']);
        $objProduct = HmisRefProduct::LoadById($row['product_id']);
        if($objProduct){
            $valJasaSarana = $objProduct->JasaSarana;
            $valJasaPelayanan = $objProduct->JasaPelayanan;
            $valJasaAdmin = $objProduct->JasaPelayanan * $objProduct->JasaAdmin;
            if($objProduct->RequestServiceToDepartmentId) {
               $objDepartment = SystemDepartment::LoadById($objProduct->RequestServiceToDepartmentId);
            } 
	    else {
		$objDepartment = 0;
	    }
	    // $valJasaSarana = 1;
        }
	// $valJasaSarana = 1;

	// $objPayment = HmisPatientNursingPaymentKediri::LoadByPatientId($row['patient_id']);
	// if($objPayment){
	   // $valCreateTime = $objPayment->CreateTime;
	   // if($objPayment->CreateUser){
	   //   $valCreateUser = SystemUser::LoadById($objPayment->CreateUser);
	   // }
	// }

?>
        <tr>
            <td><?= $no ?></td>
            <td><?=  $row['create_time'] ?></td>
            <td><?= $row['patient_code'] ?></td>
            <td><?= $row['patient_name'] ?></td>
            <td><?= $row['nursing_start_date'] ?></td>
            <td><?= $row['nursing_end_date'] ?></td>
	    <!--
            <td><?= ( $row['patient_name'] != $strLastPatientNama ) ? $row['patient_code'] : '' ?></td>
            <td><?= ( $row['patient_name'] != $strLastPatientNama ) ?  $row['patient_name'] : '' ?></td>
	    -->
	    <td><?= $row['department_name'] ?></td>
            <td><?= $row['contract_service_name'] ?></td>
	    <!--
            <td><?= $objActivity->DoctorName; ?></td>
	    -->
            <td><?= $row['doctor_name'] ?></td>
            <!--
            <td><?= $row['product_code'] ?></td>
            <td><?= $row['product_name'] ?></td>
            -->
	    <?php
	    	$tanggal1=$row['product_name']='PELAYANAN REKAM MEDIK' ? $row['create_time'] : $row['tanggal'] 
	    ?>
            <!--
            <td><?=  $objUser->FullName; ?></td>
            <td><?= $row['tanggal'] ?></td>
	    <td><?= $row['mediator_name'] ?></td>
            <td><?= $objDepartment ? $objDepartment->Name : $row['activity_department_name'] ?></td>
	    <td><?= number_format ($row['current_billing']) ?></td>
	    <td><?= number_format ($row['personal_payment']) ?></td>
            
	    <td  align="right"><?=  ($row['billing_current']) ?></td>-->
	    <td align="right"><?=  ($row['farmasi1']+$row['farmasi2']+$row['farmasi3']+$row['farmasi4']+$row['farmasi5']) ?></td>
	   <!-- <td align="right"><?=  ($row['retur']) ?></td>
	    <td align="right"><?=  ($row['tagihan_akhir'])?></td>-->
	  <!--  <td align="right"><i>
<?php 

$totalharga=ceil(($row['total']-$row['return_value'])/500)*500;
                            
                            echo number_format($totalharga - ($row['total']));
?>	  </i>  
	    </td>
<td align="right"><?=  ($row['tagihan_akhir'])?></td>-->
	    </i></td>
	    <td align="right"><?=  ($row['admin']) ?></td>
	    <td align="right"><?=  ($row['tindakanrj1']+$row['tindakanrj2']+$row['tindakanrj3']+$row['tindakanrj4']) ?></td>
	    <td align="right"><?=  ($row['operasirj']) ?></td>
<td align="right"><?=  ($row['tindakanigd1']+$row['tindakanigd2']+$row['tindakanigd3']) ?></td>
	    <td align="right"><?=  ($row['operasiigd']) ?></td>	    
	    <td align="right"><?=  ($row['tindakanri1']+$row['tindakanri2']+$row['tindakanri3']) ?></td>
	    <td align="right"><?=  ($row['operasiri']) ?></td>
	    <td align="right"><?=  ($row['perawat']+$row['perawat1']+$row['perawat2']+$row['perawat3']) ?></td>
	    <td align="right"><?=  ($row['paketbayi']) ?></td>
	    <td align="right"><?=  ($row['lab1']+$row['lab2']+$row['lab3']+$row['lab4']) ?></td>
	    <td align="right"><?=  ($row['rad1']+$row['rad2']+$row['rad3']+$row['rad4']) ?></td>
	    <td align="right"><?=  ($row['pa']) ?></td>
	    <td align="right"><?=  ($row['paketgizi']) ?></td>
	    <td align="right"><?=  ($row['sewaalat']) ?></td>
	    <td align="right"><?=  ($row['sewakamar']) ?></td>
	    <td align="right"><?=  ($row['visite']) ?></td>
	    <td align="right"><?=  ($row['visum']) ?></td>
	    <td align="right"><?=  ($row['ambulance']) ?></td>
	     
	    	    
            <?php
		  if($row['is_paid'] == "1"){
		    $status = "Terbayar";
		  }else if($row['is_paid'] == "2"){
		    $status = "Permintaan Refund";
		  }else if($row['is_paid'] == "3"){
		    $status = "Telah Refund";
		  }else if($row['is_paid'] == " "){
		    $status = "Belum Terbayar";
		  }
		 ?>
	    <td><?= $status ?></td>
	    <td><?= $objUser->FullName; ?></td>
        </tr>
<?php
        $strLastPatientNama = $row['patient_name'];
        $no++;
        $totalTotal41 += $row['billing_current'];
        $totalFarmasi41 += $row['farmasi1']+$row['farmasi2']+$row['farmasi3']+$row['farmasi4']+$row['farmasi5'];
        $totalRetur41 += $row['retur'];
        $totalAfterReturn41 += $row['tagihan_akhir'];
        
        $totalAdmin41 += $row['admin'];
        $totaltindakanrj41 += $row['tindakanrj1']+$row['tindakanrj2']+$row['tindakanrj3']+$row['tindakanrj4'];    
        $totaloperasirj41 += $row['operasirj'];
        $totaltindakanigd41 += $row['tindakanigd1']+$row['tindakanigd2']+$row['tindakanigd3'];
        $totaloperasiigd41 += $row['operasiigd'];
        $totaltindakanri41 += $row['tindakanri1']+$row['tindakanri2']+$row['tindakanri3'];    
        $totaloperasiri41 += $row['operasiri'];
        $totalperawat41 += $row['perawat']+$row['perawat1']+$row['perawat2']+$row['perawat3'];
        $totalpaketbayi41 += $row['paketbayi'];
        $totallab41 += $row['lab1']+$row['lab2']+$row['lab3']+$row['lab4'];    
        $totalrad41 += $row['rad1']+$row['rad2']+$row['rad3']+$row['rad4'];
        $totalpa41 += $row['pa'];       
        $totalpaketgizi41 += $row['paketgizi'];
        $totalsewaalat41 += $row['sewaalat'];    
        $totalsewakamar41 += $row['sewakamar'];
        $totalvisite41 += $row['visite'];
        $totalvisum41 += $row['visum'];
        $totalambulance41 += $row['ambulance'];    
       
    }
// }
?>
<tr>
<td colspan='9' align='right'>Total</td>
<td align="right"><?= ($totalFarmasi41)  ?></td>
<td align="right"><?= ($totalAdmin41)  ?></td>
<td align="right"><?= ($totaltindakanrj41)  ?></td>
<td align="right"><?= ($totaloperasirj41)  ?></td>
<td align="right"><?= ($totaltindakanigd41)  ?></td>
<td align="right"><?= ($totaloperasiigd41)  ?></td>
<td align="right"><?= ($totaltindakanri41)  ?></td>
<td align="right"><?= ($totaloperasiri41)  ?></td>
<td align="right"><?= ($totalperawat41)  ?></td>
<td align="right"><?= ($totalpaketbayi41)  ?></td>
<td align="right"><?= ($totallab41)  ?></td>
<td align="right"><?= ($totalrad41)  ?></td>
<td align="right"><?= ($totalpa41)  ?></td>
<td align="right"><?= ($totalpaketgizi41)  ?></td>
<td align="right"><?= ($totalsewaalat41)  ?></td>
<td align="right"><?= ($totalsewakamar41)  ?></td>
<td align="right"><?= ($totalvisite41)  ?></td>
<td align="right"><?= ($totalvisum41)  ?></td>
<td align="right"><?= ($totalambulance41)  ?></td>

<td colspan="2" style="background:royalblue;">&nbsp;</td>

</tr>

</tbody>
</table>
</div>







<script src="<?= __ASSETS__ ?>/default/js/jquery-2.1.3.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/jquery.tableToExcel.js"></script>
<script>
function ubahExcel() {
    $('#tableLaporan').tblToExcel({
        complete: function () {
            // do something
            return true;
        }
    });
}
    
</body>
</html>
<?php
 $arrayProfileTime = System::getProfiling();
 System::saveFullProfiling(null, 'Report', 'Report Register', 'Report', 'REPORT REGISTER', floatval($arrayProfileTime['profileTime']));
?>patient_ac
